!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1736) = coupl(nGC_53)*dZdL_QCD2
      coupl(nGC_1734) = coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_1739) = coupl(nGC_1256) + coupl(nGC_57)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_61)*dZHl_QED2/2d0 + coupl(nGC_61)*dZZ_QED2/2d0
      coupl(nGC_1738) = coupl(nGC_50)*dZdR_QCD2
      coupl(nGC_1636) = coupl(nGC_1429) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_98_Hh) + coupl(nGC_TS_GC_99_Hl)
      coupl(nGC_1623) = coupl(nGC_110)*dZbL_QED2/2d0 + coupl(nGC_110)*dZtR_QED2&
                        /2d0 + coupl(nGC_1288)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_114_Hl) = -coupl(nGC_114)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1126) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_120)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_91)*coupl(nGC_92) - coupl(    &
                        nGC_93)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1127) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl&
                        (nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1124) = -coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1125) = (coupl(nGC_115)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*  &
                        coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4&
                        ))/(32d0*pi**2d0)
      coupl(nGC_1089) = -(coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_437) + coupl( &
                        nGC_102)**2d0*coupl(nGC_104) + coupl(nGC_102)*coupl(   &
                        nGC_429)*coupl(nGC_55) + coupl(nGC_102)*coupl(nGC_52)* &
                        coupl(nGC_61) + coupl(nGC_103)**2d0*coupl(nGC_104) +   &
                        coupl(nGC_104)**3d0 - 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1088) = -coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1121) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(&
                        nGC_1)*coupl(nGC_421)*coupl(nGC_85) + coupl(nGC_105)*  &
                        coupl(nGC_107)*coupl(nGC_86) + coupl(nGC_105)*coupl(   &
                        nGC_108)*coupl(nGC_88) + coupl(nGC_105)*coupl(nGC_109)*&
                        coupl(nGC_89) + coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85 &
                        ) + coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_88) + coupl( &
                        nGC_33)*coupl(nGC_439)*coupl(nGC_86) + coupl(nGC_33)*  &
                        coupl(nGC_46)*coupl(nGC_89) + coupl(nGC_449)*coupl(    &
                        nGC_53)*coupl(nGC_85) - 8d0*coupl(nGC_51)*coupl(nGC_53 &
                        )*coupl(nGC_85) + coupl(nGC_51)*coupl(nGC_55)*coupl(   &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_1085) = -(coupl(nGC_120)*coupl(nGC_32)*coupl(nGC_33) + coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_91) + coupl(nGC_121)**&
                        2d0*coupl(nGC_122) - 8d0*coupl(nGC_121)*coupl(nGC_2)** &
                        2d0 - 8d0*coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_54) + &
                        coupl(nGC_122)*coupl(nGC_123)**2d0 + coupl(nGC_122)*   &
                        coupl(nGC_124)**2d0 + coupl(nGC_123)*coupl(nGC_451)*   &
                        coupl(nGC_51) + coupl(nGC_123)*coupl(nGC_54)*coupl(    &
                        nGC_57) + coupl(nGC_124)*coupl(nGC_429)*coupl(nGC_51   &
                        ) + coupl(nGC_124)*coupl(nGC_54)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1087) = -(coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_439) + coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_92) + coupl(nGC_121)* &
                        coupl(nGC_122)**2d0 + coupl(nGC_121)*coupl(nGC_123)**  &
                        2d0 + coupl(nGC_121)*coupl(nGC_124)**2d0 - 8d0*coupl(  &
                        nGC_122)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_122)*coupl( &
                        nGC_51)*coupl(nGC_54) + coupl(nGC_123)*coupl(nGC_451)* &
                        coupl(nGC_54) + coupl(nGC_123)*coupl(nGC_51)*coupl(    &
                        nGC_57) + coupl(nGC_124)*coupl(nGC_429)*coupl(nGC_54   &
                        ) + coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1086) = -coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1081) = -coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1080) = -(coupl(nGC_110)*coupl(nGC_32)*coupl(nGC_33) + coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_81) + coupl(nGC_111)**&
                        2d0*coupl(nGC_112) - 8d0*coupl(nGC_111)*coupl(nGC_2)** &
                        2d0 - 8d0*coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_54) + &
                        coupl(nGC_112)*coupl(nGC_113)**2d0 + coupl(nGC_112)*   &
                        coupl(nGC_114)**2d0 + coupl(nGC_113)*coupl(nGC_451)*   &
                        coupl(nGC_51) + coupl(nGC_113)*coupl(nGC_54)*coupl(    &
                        nGC_57) + coupl(nGC_114)*coupl(nGC_429)*coupl(nGC_51   &
                        ) + coupl(nGC_114)*coupl(nGC_54)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1083) = -coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1082) = -(coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_439) + coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_82) + coupl(nGC_111)* &
                        coupl(nGC_112)**2d0 + coupl(nGC_111)*coupl(nGC_113)**  &
                        2d0 + coupl(nGC_111)*coupl(nGC_114)**2d0 - 8d0*coupl(  &
                        nGC_112)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_112)*coupl( &
                        nGC_51)*coupl(nGC_54) + coupl(nGC_113)*coupl(nGC_451)* &
                        coupl(nGC_54) + coupl(nGC_113)*coupl(nGC_51)*coupl(    &
                        nGC_57) + coupl(nGC_114)*coupl(nGC_429)*coupl(nGC_54   &
                        ) + coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1549) = coupl(nGC_103)*dZHh_QED2/2d0 + coupl(nGC_103)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_103)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_104)*dZHlHh_QED2/2d0 + coupl(nGC_1326)
      coupl(nGC_1649) = -coupl(nGC_1360) - coupl(nGC_36)*dZWMinus_QED2/2d0
      coupl(nGC_1648) = coupl(nGC_1218) + coupl(nGC_29)*dZWMinus_QED2 + coupl( &
                        nGC_29)*dZZ_QED2 - coupl(nGC_41)*dZAZ_QED2/2d0
      coupl(nGC_1647) = -2d0*coupl(nGC_1218) - 2d0*coupl(nGC_29)*dZWMinus_QED2 &
                         - 2d0*coupl(nGC_29)*dZZ_QED2 + coupl(nGC_41)*dZAZ_QED2
      coupl(nGC_1646) = coupl(nGC_1228) + 3d0*coupl(nGC_22)*dZHh_QED2/2d0 +    &
                        coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_25)*dZHlHh_QED2/2d0
      coupl(nGC_1645) = coupl(nGC_1249) + coupl(nGC_28)*dZHh_QED2 + coupl(     &
                        nGC_28)*dZWMinus_QED2 + coupl(nGC_30)*dZHlHh_QED2
      coupl(nGC_1643) = coupl(nGC_1295) + coupl(nGC_92)*dZdL_QCD2/2d0 + coupl( &
                        nGC_92)*dZdR_QCD2/2d0
      coupl(nGC_1642) = coupl(nGC_1294) + coupl(nGC_92)*dZdL_QED2/2d0 + coupl( &
                        nGC_92)*dZdR_QED2/2d0
      coupl(nGC_1641) = coupl(nGC_1293) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl( &
                        nGC_91)*dZdR_QCD2/2d0
      coupl(nGC_1640) = coupl(nGC_1292) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl( &
                        nGC_91)*dZdR_QED2/2d0
      coupl(nGC_TS_GC_84_Hl) = -coupl(nGC_84)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1011) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*  &
                        coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +    &
                        coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*   &
                        coupl(nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_1544) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1545) = coupl(nGC_1259) + coupl(nGC_17)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_40)*dZAZ_QED2/2d0 + coupl(nGC_9)*dZHh_QED2/2d0 +  &
                        coupl(nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/&
                        2d0
      coupl(nGC_1468) = coupl(nGC_1242) + coupl(nGC_32)*dZWMinus_QED2/2d0
      coupl(nGC_1016) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80&
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80&
                        ) + 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85&
                        ) + 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90&
                        ) + 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(     &
                        nGC_50) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl&
                        (nGC_53) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*    &
                        coupl(nGC_54) + 2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33 &
                        )*coupl(nGC_51) - 2d0*Nc*cMT*coupl(nGC_110)*coupl(     &
                        nGC_33)*coupl(nGC_53) - 2d0*Nc*cMT*coupl(nGC_110)*coupl&
                        (nGC_33)*coupl(nGC_54) + 2d0*Nc*cMU*coupl(nGC_120)*    &
                        coupl(nGC_33)*coupl(nGC_51) - 2d0*Nc*cMU*coupl(nGC_120 &
                        )*coupl(nGC_33)*coupl(nGC_53) - 2d0*Nc*cMU*coupl(      &
                        nGC_120)*coupl(nGC_33)*coupl(nGC_54) + 2d0*cME*coupl(  &
                        nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl(   &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*coupl( &
                        nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_417)*coupl( &
                        nGC_71) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_68) + 6d0&
                        *coupl(nGC_3)*coupl(nGC_427)*coupl(nGC_71) - coupl(    &
                        nGC_34)*coupl(nGC_427)*coupl(nGC_72) + 6d0*coupl(nGC_37&
                        )*coupl(nGC_427)*coupl(nGC_68) - coupl(nGC_37)*coupl(  &
                        nGC_55)*coupl(nGC_68) - coupl(nGC_427)*coupl(nGC_435)* &
                        coupl(nGC_70) - coupl(nGC_427)*coupl(nGC_453)*coupl(   &
                        nGC_69) - coupl(nGC_427)*coupl(nGC_47)*coupl(nGC_73))/(&
                        32d0*pi**2d0)
      coupl(nGC_1542) = coupl(nGC_1215) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_37)*dZWMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0
      coupl(nGC_1543) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1463) = coupl(nGC_107)*dZsL_QCD2/2d0 + coupl(nGC_107)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1297)
      coupl(nGC_1462) = coupl(nGC_107)*dZsL_QED2/2d0 + coupl(nGC_107)*dZsR_QED2&
                        /2d0 + coupl(nGC_1296)
      coupl(nGC_1461) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1299)
      coupl(nGC_1460) = coupl(nGC_106)*dZsL_QED2/2d0 + coupl(nGC_106)*dZsR_QED2&
                        /2d0 + coupl(nGC_1298)
      coupl(nGC_1467) = coupl(nGC_1325) + coupl(nGC_98)*dZHh_QED2/2d0 + coupl( &
                        nGC_98)*dZeMinusL_QED2/2d0 + coupl(nGC_98)*            &
                        dZeMinusR_QED2/2d0 + coupl(nGC_99)*dZHlHh_QED2/2d0
      coupl(nGC_1466) = coupl(nGC_1227) + coupl(nGC_18)*dZHh_QED2/2d0 + coupl( &
                        nGC_18)*dZHl_QED2/2d0 + coupl(nGC_19)*dZHlHh_QED2/2d0  &
                         + coupl(nGC_20)*dZHhHl_QED2/2d0
      coupl(nGC_1546) = -coupl(nGC_1244) - coupl(nGC_35)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_46)*dZHl_QED2/2d0 - coupl(nGC_46)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1497) = coupl(nGC_1239) + coupl(nGC_40)*dZA_QED2/2d0 + coupl(  &
                        nGC_40)*dZHh_QED2/2d0 + coupl(nGC_40)*dZWMinus_QED2/2d0&
                         + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(nGC_9)*       &
                        dZZA_QED2/2d0
      coupl(nGC_1494) = coupl(nGC_1238) + coupl(nGC_39)*dZA_QED2/2d0 + coupl(  &
                        nGC_39)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_1191) = (-32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_50)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_50)*coupl&
                        (nGC_53) - 32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(     &
                        nGC_53)**2d0 - 32d0*Nc*cima*coupl(nGC_113)**2d0*coupl( &
                        nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_113)**2d0*coupl( &
                        nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_113)**  &
                        2d0*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_123)** &
                        2d0*coupl(nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_123)** &
                        2d0*coupl(nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(  &
                        nGC_123)**2d0*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_50)**2d0*coupl(nGC_83)**2d0 - 32d0*Nc*cima*coupl(  &
                        nGC_50)**2d0*coupl(nGC_93)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_50)*coupl(nGC_53)*coupl(nGC_83)**2d0 + 40d0*Nc*cima&
                        *coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_93)**2d0 - 32d0*&
                        Nc*cima*coupl(nGC_51)**2d0*coupl(nGC_88)**2d0 + 40d0*Nc&
                        *cima*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_83)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_93)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_88)**2d0 -   &
                        32d0*cima*coupl(nGC_103)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_103)**2d0*coupl(nGC_52)*coupl(nGC_55   &
                        ) - 32d0*cima*coupl(nGC_103)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*cima*coupl(nGC_118)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_118)**2d0*coupl(nGC_52)*coupl(nGC_55   &
                        ) - 32d0*cima*coupl(nGC_118)**2d0*coupl(nGC_55)**2d0 + &
                        12d0*cima*coupl(nGC_28)*coupl(nGC_419) + 9d0*cima*coupl&
                        (nGC_34)*coupl(nGC_427)**2d0*coupl(nGC_455) + 4d0*cima*&
                        coupl(nGC_34)*coupl(nGC_449)**2d0*coupl(nGC_455) + 9d0*&
                        cima*coupl(nGC_35)*coupl(nGC_37)**2d0*coupl(nGC_453) + &
                        4d0*cima*coupl(nGC_35)*coupl(nGC_453)*coupl(nGC_55)**  &
                        2d0 + 4d0*cima*coupl(nGC_429)*coupl(nGC_451)*coupl(    &
                        nGC_57)*coupl(nGC_61) + 4d0*cima*coupl(nGC_451)**2d0*  &
                        coupl(nGC_57)**2d0 - 32d0*cima*coupl(nGC_52)**2d0*coupl&
                        (nGC_98)**2d0 + 40d0*cima*coupl(nGC_52)*coupl(nGC_55)* &
                        coupl(nGC_98)**2d0 - 32d0*cima*coupl(nGC_55)**2d0*coupl&
                        (nGC_98)**2d0 + 18d0*coupl(nGC_28)*coupl(nGC_37)**2d0  &
                         + 18d0*coupl(nGC_28)*coupl(nGC_427)**2d0 - 3d0*coupl( &
                        nGC_34)*coupl(nGC_419)*coupl(nGC_455) - 6d0*coupl(     &
                        nGC_34)*coupl(nGC_427)*coupl(nGC_9) + 3d0*coupl(nGC_34 &
                        )*coupl(nGC_455)*coupl(nGC_63) - 6d0*coupl(nGC_35)*    &
                        coupl(nGC_37)*coupl(nGC_9) - 3d0*coupl(nGC_35)*coupl(  &
                        nGC_419)*coupl(nGC_453) + 3d0*coupl(nGC_35)*coupl(     &
                        nGC_453)*coupl(nGC_63) - 6d0*coupl(nGC_37)*coupl(      &
                        nGC_453)*coupl(nGC_9) - 6d0*coupl(nGC_427)*coupl(      &
                        nGC_455)*coupl(nGC_9) + 3d0*coupl(nGC_451)*coupl(nGC_57&
                        )*coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_1493) = coupl(nGC_1225) + coupl(nGC_18)*dZHhHl_QED2 + coupl(   &
                        nGC_19)*dZHl_QED2
      coupl(nGC_1498) = -coupl(nGC_1215) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_37)*dZWMinus_QED2 - coupl(nGC_37)*dZZ_QED2/2d0
      coupl(nGC_917) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_916) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_89)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_94)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_109)**2d0&
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_114)**2d0 - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_124)**2d0 - 4d0*cME**2d0*cima*coupl&
                       (nGC_99)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_104)**2d0 - &
                       4d0*cMTA**2d0*cima*coupl(nGC_119)**2d0 - cMW**2d0*cima* &
                       coupl(nGC_435)*coupl(nGC_46) - cMW**2d0*cima*coupl(     &
                       nGC_437)*coupl(nGC_47) - 2d0*cMW**2d0*coupl(nGC_31) -   &
                       cMZ**2d0*cima*coupl(nGC_429)*coupl(nGC_61) - cMZ**2d0*  &
                       coupl(nGC_67) + 2d0*cima*coupl(nGC_70)**2d0 + cima*coupl&
                       (nGC_73)**2d0)/(16d0*pi**2d0)
      coupl(nGC_915) = cima*(4d0*Nc*coupl(nGC_109)**2d0 + 4d0*Nc*coupl(nGC_114 &
                       )**2d0 + 4d0*Nc*coupl(nGC_124)**2d0 + 4d0*Nc*coupl(     &
                       nGC_84)**2d0 + 4d0*Nc*coupl(nGC_89)**2d0 + 4d0*Nc*coupl(&
                       nGC_94)**2d0 + 4d0*coupl(nGC_104)**2d0 + 4d0*coupl(     &
                       nGC_119)**2d0 + coupl(nGC_429)*coupl(nGC_61) + coupl(   &
                       nGC_435)*coupl(nGC_46) + coupl(nGC_437)*coupl(nGC_47) + &
                       4d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_914) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_913) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_912) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_83)*coupl(nGC_84) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_88)*coupl(nGC_89) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_93)*coupl(nGC_94) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_108)*coupl(nGC_109) - 8d0*Nc*cMT**2d0&
                       *cima*coupl(nGC_113)*coupl(nGC_114) - 8d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_123)*coupl(nGC_124) - 8d0*cME**2d0*cima* &
                       coupl(nGC_98)*coupl(nGC_99) - 8d0*cMM**2d0*cima*coupl(  &
                       nGC_103)*coupl(nGC_104) - 8d0*cMTA**2d0*cima*coupl(     &
                       nGC_118)*coupl(nGC_119) - cMW**2d0*cima*coupl(nGC_34)*  &
                       coupl(nGC_437) - cMW**2d0*cima*coupl(nGC_35)*coupl(     &
                       nGC_435) - cMW**2d0*cima*coupl(nGC_453)*coupl(nGC_46) - &
                       cMW**2d0*cima*coupl(nGC_455)*coupl(nGC_47) - 4d0*cMW**  &
                       2d0*coupl(nGC_30) - cMZ**2d0*cima*coupl(nGC_429)*coupl( &
                       nGC_57) - cMZ**2d0*cima*coupl(nGC_451)*coupl(nGC_61) -  &
                       2d0*cMZ**2d0*coupl(nGC_66) + 4d0*cima*coupl(nGC_69)*    &
                       coupl(nGC_70) + 2d0*cima*coupl(nGC_72)*coupl(nGC_73))/( &
                       32d0*pi**2d0)
      coupl(nGC_911) = cima*(8d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 8d0*Nc*    &
                       coupl(nGC_113)*coupl(nGC_114) + 8d0*Nc*coupl(nGC_123)*  &
                       coupl(nGC_124) + 8d0*Nc*coupl(nGC_83)*coupl(nGC_84) +   &
                       8d0*Nc*coupl(nGC_88)*coupl(nGC_89) + 8d0*Nc*coupl(nGC_93&
                       )*coupl(nGC_94) + 8d0*coupl(nGC_103)*coupl(nGC_104) +   &
                       8d0*coupl(nGC_118)*coupl(nGC_119) + coupl(nGC_34)*coupl(&
                       nGC_437) + coupl(nGC_35)*coupl(nGC_435) + coupl(nGC_429 &
                       )*coupl(nGC_57) + coupl(nGC_451)*coupl(nGC_61) + coupl( &
                       nGC_453)*coupl(nGC_46) + coupl(nGC_455)*coupl(nGC_47) + &
                       8d0*coupl(nGC_98)*coupl(nGC_99))/(192d0*pi**2d0)
      coupl(nGC_910) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_919) = cima*(4d0*Nc*coupl(nGC_105)**2d0 + 4d0*Nc*coupl(nGC_110 &
                       )**2d0 + 4d0*Nc*coupl(nGC_120)**2d0 + 4d0*Nc*coupl(     &
                       nGC_80)**2d0 + 4d0*Nc*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(&
                       nGC_90)**2d0 + 4d0*coupl(nGC_100)**2d0 + 4d0*coupl(     &
                       nGC_115)**2d0 + 2d0*coupl(nGC_32)*coupl(nGC_439) + coupl&
                       (nGC_34)*coupl(nGC_455) + coupl(nGC_35)*coupl(nGC_453   &
                       ) + coupl(nGC_4)**2d0 + coupl(nGC_421)**2d0 + coupl(    &
                       nGC_435)*coupl(nGC_46) + coupl(nGC_437)*coupl(nGC_47) + &
                       coupl(nGC_449)**2d0 + coupl(nGC_55)**2d0 + 4d0*coupl(   &
                       nGC_95)**2d0)/(192d0*pi**2d0)
      coupl(nGC_918) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_1267) = coupl(nGC_793)*dcw_QED2 + coupl(nGC_794)*dsw_QED2 +    &
                        coupl(nGC_795)*dZee_QED2 + coupl(nGC_796)*da_QED2
      coupl(nGC_1261) = coupl(nGC_839)*dcw_QED2 + coupl(nGC_840)*dvev_QED1 +   &
                        coupl(nGC_841)*dZee_QED2
      coupl(nGC_1260) = coupl(nGC_624)*dcw_QED2 + coupl(nGC_625)*dZee_QED2 +   &
                        coupl(nGC_626)*da_QED2
      coupl(nGC_1262) = coupl(nGC_849)*dcw_QED2 + coupl(nGC_850)*dZee_QED2
      coupl(nGC_1269) = coupl(nGC_815)*dcw_QED2 + coupl(nGC_816)*dsw_QED2 +    &
                        coupl(nGC_817)*dZee_QED2 + coupl(nGC_818)*dvev_QED1 +  &
                        coupl(nGC_819)*da_QED2
      coupl(nGC_1268) = coupl(nGC_865)*dcw_QED2 + coupl(nGC_866)*dsw_QED2 +    &
                        coupl(nGC_867)*dZee_QED2 + coupl(nGC_868)*dvev_QED1 +  &
                        coupl(nGC_869)*da_QED2
      coupl(nGC_1067) = (-coupl(nGC_115)*coupl(nGC_4)*coupl(nGC_421) - coupl(  &
                        nGC_115)*coupl(nGC_449)*coupl(nGC_52) + 8d0*coupl(     &
                        nGC_115)*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_115)* &
                        coupl(nGC_55)*coupl(nGC_56) - coupl(nGC_116)*coupl(    &
                        nGC_32)*coupl(nGC_33) - coupl(nGC_118)*coupl(nGC_33)*  &
                        coupl(nGC_455) - coupl(nGC_119)*coupl(nGC_33)*coupl(   &
                        nGC_437))/(32d0*pi**2d0)
      coupl(nGC_1066) = (4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_1065) = -(coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_34) + coupl(  &
                        nGC_101)**2d0*coupl(nGC_103) + coupl(nGC_101)*coupl(   &
                        nGC_451)*coupl(nGC_52) + coupl(nGC_101)*coupl(nGC_55)* &
                        coupl(nGC_57) + coupl(nGC_103)**3d0 + coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 - 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1064) = -(coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_455) + coupl( &
                        nGC_102)**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(   &
                        nGC_451)*coupl(nGC_55) + coupl(nGC_102)*coupl(nGC_52)* &
                        coupl(nGC_57) + coupl(nGC_103)**3d0 + coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 - 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1063) = -coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1062) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_91) + coupl(nGC_120 &
                        )*coupl(nGC_121)*coupl(nGC_90) + coupl(nGC_33)*coupl(  &
                        nGC_439)*coupl(nGC_90) + coupl(nGC_429)*coupl(nGC_53)* &
                        coupl(nGC_94) + coupl(nGC_451)*coupl(nGC_53)*coupl(    &
                        nGC_93) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_91 &
                        ) + coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_93) + coupl( &
                        nGC_50)*coupl(nGC_61)*coupl(nGC_94) + coupl(nGC_91)**  &
                        2d0*coupl(nGC_92) + coupl(nGC_92)*coupl(nGC_93)**2d0 + &
                        coupl(nGC_92)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1061) = -coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1060) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_92) + coupl(nGC_120 &
                        )*coupl(nGC_122)*coupl(nGC_90) + coupl(nGC_32)*coupl(  &
                        nGC_33)*coupl(nGC_90) + coupl(nGC_429)*coupl(nGC_50)*  &
                        coupl(nGC_94) + coupl(nGC_451)*coupl(nGC_50)*coupl(    &
                        nGC_93) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_92 &
                        ) + coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_93) + coupl( &
                        nGC_53)*coupl(nGC_61)*coupl(nGC_94) + coupl(nGC_91)*   &
                        coupl(nGC_92)**2d0 + coupl(nGC_91)*coupl(nGC_93)**2d0  &
                         + coupl(nGC_91)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1306) = coupl(nGC_705)*dys_QED3 + coupl(nGC_706)*da_QED2
      coupl(nGC_1548) = coupl(nGC_1236) + coupl(nGC_58)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_1304) = coupl(nGC_861)*dydo_QED3 + coupl(nGC_862)*da_QED2
      coupl(nGC_1305) = coupl(nGC_861)*dydo_QED1_QCD2
      coupl(nGC_1302) = coupl(nGC_731)*dyb_QED3
      coupl(nGC_1303) = coupl(nGC_731)*dyb_QED1_QCD2
      coupl(nGC_1069) = -(coupl(nGC_33)*coupl(nGC_439)*coupl(nGC_95) - 8d0*    &
                        coupl(nGC_4)**2d0*coupl(nGC_96) + coupl(nGC_429)*coupl(&
                        nGC_55)*coupl(nGC_99) + coupl(nGC_451)*coupl(nGC_55)*  &
                        coupl(nGC_98) - 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl( &
                        nGC_96) + coupl(nGC_52)*coupl(nGC_57)*coupl(nGC_98) +  &
                        coupl(nGC_52)*coupl(nGC_61)*coupl(nGC_99) + coupl(     &
                        nGC_96)**2d0*coupl(nGC_97) + coupl(nGC_97)*coupl(nGC_98&
                        )**2d0 + coupl(nGC_97)*coupl(nGC_99)**2d0)/(32d0*pi**  &
                        2d0)
      coupl(nGC_1068) = -(coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_95) - 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_97) + coupl(nGC_429)*coupl(     &
                        nGC_52)*coupl(nGC_99) + coupl(nGC_451)*coupl(nGC_52)*  &
                        coupl(nGC_98) - 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl( &
                        nGC_97) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_98) +  &
                        coupl(nGC_55)*coupl(nGC_61)*coupl(nGC_99) + coupl(     &
                        nGC_96)*coupl(nGC_97)**2d0 + coupl(nGC_96)*coupl(nGC_98&
                        )**2d0 + coupl(nGC_96)*coupl(nGC_99)**2d0)/(32d0*pi**  &
                        2d0)
      coupl(nGC_1602) = coupl(nGC_1315) + coupl(nGC_84)*dZbL_QCD2/2d0 + coupl( &
                        nGC_84)*dZbR_QCD2/2d0
      coupl(nGC_1601) = coupl(nGC_1314) + coupl(nGC_83)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_84)*dZHl_QED2/2d0 + coupl(nGC_84)*dZbL_QED2/2d0 + &
                        coupl(nGC_84)*dZbR_QED2/2d0
      coupl(nGC_1607) = coupl(nGC_1250) + coupl(nGC_28)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_30)*dZHh_QED2/2d0 + coupl(nGC_30)*dZHl_QED2/2d0 + &
                        coupl(nGC_30)*dZWMinus_QED2 + coupl(nGC_31)*dZHlHh_QED2&
                        /2d0
      coupl(nGC_1606) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1318)
      coupl(nGC_1605) = -coupl(nGC_1237) - coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_1604) = -coupl(nGC_1213) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_37)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1164) = -cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1768) = coupl(nGC_1447) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_35_Hh) - coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_1511) = coupl(nGC_112)*dZtL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1342)
      coupl(nGC_1763) = coupl(nGC_1427) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_76_Hl) + coupl(nGC_TS_GC_78_Hh)
      coupl(nGC_1495) = coupl(nGC_1304) + coupl(nGC_93)*dZHh_QED2/2d0 + coupl( &
                        nGC_93)*dZdL_QED2/2d0 + coupl(nGC_93)*dZdR_QED2/2d0 +  &
                        coupl(nGC_94)*dZHlHh_QED2/2d0
      coupl(nGC_1514) = coupl(nGC_1245) + coupl(nGC_38)*dZA_QED2/2d0 + coupl(  &
                        nGC_38)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1119) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1118) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_90) - coupl(nGC_120)*    &
                        coupl(nGC_121)*coupl(nGC_92) - coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*&
                        coupl(nGC_94) + coupl(nGC_2)*coupl(nGC_421)*coupl(     &
                        nGC_90) + coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_92) +  &
                        coupl(nGC_33)*coupl(nGC_435)*coupl(nGC_94) + coupl(    &
                        nGC_33)*coupl(nGC_453)*coupl(nGC_93) + coupl(nGC_449)* &
                        coupl(nGC_54)*coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl( &
                        nGC_54)*coupl(nGC_90) + coupl(nGC_50)*coupl(nGC_55)*   &
                        coupl(nGC_90))/(32d0*pi**2d0)
      coupl(nGC_1117) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1116) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_120)*coupl(nGC_4) + coupl(nGC_120)*   &
                        coupl(nGC_2)*coupl(nGC_421) + coupl(nGC_120)*coupl(    &
                        nGC_449)*coupl(nGC_51) + 8d0*coupl(nGC_120)*coupl(     &
                        nGC_51)*coupl(nGC_53) + coupl(nGC_120)*coupl(nGC_53)*  &
                        coupl(nGC_55) + coupl(nGC_122)*coupl(nGC_33)*coupl(    &
                        nGC_439) - coupl(nGC_122)*coupl(nGC_90)*coupl(nGC_91   &
                        ) + coupl(nGC_123)*coupl(nGC_33)*coupl(nGC_34) - coupl(&
                        nGC_123)*coupl(nGC_90)*coupl(nGC_93) + coupl(nGC_124)* &
                        coupl(nGC_33)*coupl(nGC_47) - coupl(nGC_124)*coupl(    &
                        nGC_90)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1115) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) +    &
                        coupl(nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_94)**2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_1113) = (4d0*Nc*coupl(nGC_105)**2d0*coupl(nGC_50) - 4d0*Nc*    &
                        coupl(nGC_105)**2d0*coupl(nGC_54) - 4d0*Nc*coupl(      &
                        nGC_110)**2d0*coupl(nGC_51) + 4d0*Nc*coupl(nGC_110)**  &
                        2d0*coupl(nGC_53) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(  &
                        nGC_51) + 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_50)*coupl(nGC_80)**2d0 + 4d0*Nc*coupl(&
                        nGC_50)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_51)*coupl&
                        (nGC_85)**2d0 + 4d0*Nc*coupl(nGC_53)*coupl(nGC_85)**2d0&
                         - 4d0*Nc*coupl(nGC_54)*coupl(nGC_80)**2d0 - 4d0*Nc*   &
                        coupl(nGC_54)*coupl(nGC_90)**2d0 + 4d0*coupl(nGC_100)**&
                        2d0*coupl(nGC_52) - 4d0*coupl(nGC_100)**2d0*coupl(     &
                        nGC_56) + 4d0*coupl(nGC_115)**2d0*coupl(nGC_52) - 4d0* &
                        coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_32)*coupl&
                        (nGC_35)*coupl(nGC_57) - 6d0*coupl(nGC_32)*coupl(nGC_37&
                        )*coupl(nGC_439) + coupl(nGC_32)*coupl(nGC_46)*coupl(  &
                        nGC_61) - 6d0*coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_455&
                        ) - 6d0*coupl(nGC_37)*coupl(nGC_437)*coupl(nGC_47) +   &
                        coupl(nGC_421)**2d0*coupl(nGC_55) + coupl(nGC_429)*    &
                        coupl(nGC_435)*coupl(nGC_439) + coupl(nGC_439)*coupl(  &
                        nGC_451)*coupl(nGC_453) + coupl(nGC_449)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_52)*coupl(nGC_95)**2d0 - 4d0*  &
                        coupl(nGC_56)*coupl(nGC_95)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1112) = -(coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_439) + coupl( &
                        nGC_116)**2d0*coupl(nGC_117) - 8d0*coupl(nGC_116)*coupl&
                        (nGC_4)**2d0 - 8d0*coupl(nGC_116)*coupl(nGC_52)*coupl( &
                        nGC_55) + coupl(nGC_117)*coupl(nGC_118)**2d0 + coupl(  &
                        nGC_117)*coupl(nGC_119)**2d0 + coupl(nGC_118)*coupl(   &
                        nGC_451)*coupl(nGC_55) + coupl(nGC_118)*coupl(nGC_52)* &
                        coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_429)*coupl(   &
                        nGC_55) + coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1111) = -(coupl(nGC_115)*coupl(nGC_32)*coupl(nGC_33) + coupl(  &
                        nGC_116)*coupl(nGC_117)**2d0 + coupl(nGC_116)*coupl(   &
                        nGC_118)**2d0 + coupl(nGC_116)*coupl(nGC_119)**2d0 -   &
                        8d0*coupl(nGC_117)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_117)*coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_118)* &
                        coupl(nGC_451)*coupl(nGC_52) + coupl(nGC_118)*coupl(   &
                        nGC_55)*coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_429)* &
                        coupl(nGC_52) + coupl(nGC_119)*coupl(nGC_55)*coupl(    &
                        nGC_61))/(32d0*pi**2d0)
      coupl(nGC_1110) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        coupl(nGC_53)*coupl(nGC_83)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_84)**2d0 + coupl(nGC_54)*coupl(nGC_80)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1693) = coupl(nGC_1234) + coupl(nGC_76)*dZHh_QED2 + coupl(     &
                        nGC_76)*dZHl_QED2/2d0 + coupl(nGC_78)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_79)*dZHlHh_QED2 + coupl(nGC_TS_GC_22_Hh   &
                        ) + coupl(nGC_TS_GC_25_Hl)
      coupl(nGC_1696) = coupl(nGC_1442) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_83_Hh) + coupl(&
                        nGC_TS_GC_84_Hl)
      coupl(nGC_1592) = coupl(nGC_1226) + coupl(nGC_21)*dZHlHh_QED2 + coupl(   &
                        nGC_22)*dZHhHl_QED2 + coupl(nGC_25)*dZHh_QED2 + coupl( &
                        nGC_25)*dZHl_QED2
      coupl(nGC_1591) = coupl(nGC_1357) + coupl(nGC_44)*dZHh_QED2/2d0 + coupl( &
                        nGC_49)*dZHlHh_QED2/2d0
      coupl(nGC_1596) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1594) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_958) = coupl(nGC_11)**2d0*coupl(nGC_50)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_953) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_106&
                       )*coupl(nGC_107) + coupl(nGC_108)**2d0 + coupl(nGC_109  &
                       )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_53)**2d0&
                        + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_952) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_105)**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl(  &
                       nGC_108)**2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50  &
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_951) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_106)*coupl(nGC_107) - coupl(nGC_108)**2d0 - coupl(  &
                       nGC_109)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(     &
                       nGC_53)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_950) = coupl(nGC_11)**2d0*coupl(nGC_51)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_957) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50 &
                       )**3d0 + coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_92) +    &
                       coupl(nGC_53)*coupl(nGC_93)**2d0 + coupl(nGC_53)*coupl( &
                       nGC_94)**2d0 + coupl(nGC_54)*coupl(nGC_90)**2d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_956) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_955) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_120)** &
                       2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_427&
                       ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl(nGC_50 &
                       )*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_50)*coupl(    &
                       nGC_93)**2d0 + coupl(nGC_50)*coupl(nGC_94)**2d0 + 4d0*  &
                       coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_954) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_105&
                       )**2d0 + coupl(nGC_106)*coupl(nGC_107) + coupl(nGC_108  &
                       )**2d0 + coupl(nGC_109)**2d0 + 4d0*coupl(nGC_50)**2d0)/(&
                       64d0*pi**2d0)
      coupl(nGC_1341) = coupl(nGC_712)*dyt_QED3
      coupl(nGC_1344) = coupl(nGC_745)*dyup_QED1_QCD2
      coupl(nGC_1349) = coupl(nGC_750)*dyup_QED3 + coupl(nGC_751)*da_QED2
      coupl(nGC_1029) = -(coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) - 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) + coupl(nGC_33)*coupl( &
                        nGC_453)*coupl(nGC_85) + coupl(nGC_451)*coupl(nGC_54)* &
                        coupl(nGC_86) - 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) + coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_86) +  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) + coupl(nGC_88)**3d0  &
                         + coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1028) = -coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1023) = -(-8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl&
                        (nGC_1)*coupl(nGC_120)*coupl(nGC_421) + coupl(nGC_120)*&
                        coupl(nGC_2)*coupl(nGC_4) + coupl(nGC_120)*coupl(      &
                        nGC_449)*coupl(nGC_53) - 8d0*coupl(nGC_120)*coupl(     &
                        nGC_51)*coupl(nGC_53) + coupl(nGC_120)*coupl(nGC_51)*  &
                        coupl(nGC_55) + coupl(nGC_121)*coupl(nGC_33)*coupl(    &
                        nGC_439) + coupl(nGC_121)*coupl(nGC_90)*coupl(nGC_92   &
                        ) + coupl(nGC_123)*coupl(nGC_33)*coupl(nGC_35) + coupl(&
                        nGC_123)*coupl(nGC_90)*coupl(nGC_93) + coupl(nGC_124)* &
                        coupl(nGC_33)*coupl(nGC_46) + coupl(nGC_124)*coupl(    &
                        nGC_90)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1021) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) +    &
                        coupl(nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(  &
                        nGC_84)**2d0 + coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_1027) = (coupl(nGC_115)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1026) = -coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1025) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) + coupl(&
                        nGC_1)*coupl(nGC_421)*coupl(nGC_90) + coupl(nGC_120)*  &
                        coupl(nGC_122)*coupl(nGC_91) + coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_93) + coupl(nGC_120)*coupl(nGC_124)*&
                        coupl(nGC_94) + coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_90 &
                        ) + coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_91) + coupl( &
                        nGC_33)*coupl(nGC_437)*coupl(nGC_94) + coupl(nGC_33)*  &
                        coupl(nGC_455)*coupl(nGC_93) + coupl(nGC_449)*coupl(   &
                        nGC_50)*coupl(nGC_90) - 8d0*coupl(nGC_50)*coupl(nGC_54 &
                        )*coupl(nGC_90) + coupl(nGC_54)*coupl(nGC_55)*coupl(   &
                        nGC_90))/(32d0*pi**2d0)
      coupl(nGC_1024) = -coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_920) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_110)**2d0 - 4d0*Nc*cMB &
                       **2d0*cima*coupl(nGC_80)**2d0 - 4d0*Nc*cMC**2d0*cima*   &
                       coupl(nGC_105)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_85 &
                       )**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_120)**2d0 - 4d0*&
                       Nc*cMD**2d0*cima*coupl(nGC_90)**2d0 - 4d0*Nc*cMS**2d0*  &
                       cima*coupl(nGC_105)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(  &
                       nGC_85)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_110)**2d0 &
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 - 4d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_120)**2d0 - 4d0*Nc*cMU**2d0*cima*  &
                       coupl(nGC_90)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_95)**  &
                       2d0 - cMHH**2d0*cima*coupl(nGC_34)*coupl(nGC_455) - cMHH&
                       **2d0*cima*coupl(nGC_35)*coupl(nGC_453) - cMHL**2d0*cima&
                       *coupl(nGC_435)*coupl(nGC_46) - cMHL**2d0*cima*coupl(   &
                       nGC_437)*coupl(nGC_47) - 4d0*cMM**2d0*cima*coupl(nGC_100&
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_115)**2d0 - 2d0*  &
                       cMW**2d0*cima*coupl(nGC_32)*coupl(nGC_439) - cMW**2d0*  &
                       cima*coupl(nGC_34)*coupl(nGC_455) - cMW**2d0*cima*coupl(&
                       nGC_35)*coupl(nGC_453) - cMW**2d0*cima*coupl(nGC_4)**2d0&
                        - cMW**2d0*cima*coupl(nGC_421)**2d0 - cMW**2d0*cima*   &
                       coupl(nGC_435)*coupl(nGC_46) - cMW**2d0*cima*coupl(     &
                       nGC_437)*coupl(nGC_47) - cMW**2d0*cima*coupl(nGC_449)** &
                       2d0 - cMW**2d0*cima*coupl(nGC_55)**2d0 - 8d0*cMW**2d0*  &
                       coupl(nGC_26) - 2d0*cMZ**2d0*cima*coupl(nGC_32)*coupl(  &
                       nGC_439) - cMZ**2d0*cima*coupl(nGC_449)**2d0 - cMZ**2d0*&
                       cima*coupl(nGC_55)**2d0 - 4d0*cMZ**2d0*coupl(nGC_63) +  &
                       8d0*cima*coupl(nGC_68)**2d0 + 8d0*cima*coupl(nGC_71)**  &
                       2d0)/(64d0*pi**2d0)
      coupl(nGC_921) = (-coupl(nGC_100)*coupl(nGC_4)*coupl(nGC_421) - coupl(   &
                       nGC_100)*coupl(nGC_449)*coupl(nGC_52) + 8d0*coupl(      &
                       nGC_100)*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_100)*  &
                       coupl(nGC_55)*coupl(nGC_56) - coupl(nGC_101)*coupl(     &
                       nGC_32)*coupl(nGC_33) - coupl(nGC_103)*coupl(nGC_33)*   &
                       coupl(nGC_455) - coupl(nGC_104)*coupl(nGC_33)*coupl(    &
                       nGC_437))/(32d0*pi**2d0)
      coupl(nGC_889) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_81)*coupl(nGC_82) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_86)*coupl(nGC_87) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_91)*coupl(nGC_92) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_106)*coupl(nGC_107) - 8d0*Nc*cMT**2d0&
                       *cima*coupl(nGC_111)*coupl(nGC_112) - 8d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_121)*coupl(nGC_122) - 8d0*cME**2d0*cima* &
                       coupl(nGC_96)*coupl(nGC_97) - cMHH**2d0*cima*coupl(     &
                       nGC_451)*coupl(nGC_57) - cMHL**2d0*cima*coupl(nGC_429)* &
                       coupl(nGC_61) - 8d0*cMM**2d0*cima*coupl(nGC_101)*coupl( &
                       nGC_102) - 8d0*cMTA**2d0*cima*coupl(nGC_116)*coupl(     &
                       nGC_117) - 4d0*cMW**2d0*cima*coupl(nGC_32)*coupl(nGC_439&
                       ) - 4d0*cMW**2d0*coupl(nGC_26) - cMZ**2d0*cima*coupl(   &
                       nGC_429)*coupl(nGC_61) - cMZ**2d0*cima*coupl(nGC_451)*  &
                       coupl(nGC_57) - 2d0*cMZ**2d0*coupl(nGC_64))/(32d0*pi**  &
                       2d0)
      coupl(nGC_888) = cima*(4d0*Nc*coupl(nGC_106)*coupl(nGC_107) + 4d0*Nc*    &
                       coupl(nGC_111)*coupl(nGC_112) + 4d0*Nc*coupl(nGC_121)*  &
                       coupl(nGC_122) + 4d0*Nc*coupl(nGC_81)*coupl(nGC_82) +   &
                       4d0*Nc*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(nGC_91&
                       )*coupl(nGC_92) + 4d0*coupl(nGC_101)*coupl(nGC_102) +   &
                       4d0*coupl(nGC_116)*coupl(nGC_117) + 2d0*coupl(nGC_32)*  &
                       coupl(nGC_439) + coupl(nGC_429)*coupl(nGC_61) + coupl(  &
                       nGC_451)*coupl(nGC_57) + 4d0*coupl(nGC_96)*coupl(nGC_97 &
                       ))/(96d0*pi**2d0)
      coupl(nGC_1334) = coupl(nGC_730)*dyup_QED1_QCD2
      coupl(nGC_1333) = coupl(nGC_730)*dyup_QED3
      coupl(nGC_1332) = coupl(nGC_704)*dyup_QED1_QCD2
      coupl(nGC_1331) = coupl(nGC_704)*dyup_QED3
      coupl(nGC_1330) = coupl(nGC_269)*dytau_QED3 + coupl(nGC_271)*da_QED2
      coupl(nGC_881) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl(  &
                       nGC_53)**2d0)/(16d0*pi**2d0)
      coupl(nGC_880) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_882) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_1339) = coupl(nGC_848)*dyt_QED3
      coupl(nGC_886) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113 &
                       )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(     &
                       nGC_83)**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl(&
                       nGC_93)**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(     &
                       nGC_118)**2d0 + coupl(nGC_34)*coupl(nGC_455) + coupl(   &
                       nGC_35)*coupl(nGC_453) + coupl(nGC_451)*coupl(nGC_57) + &
                       4d0*coupl(nGC_98)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1720) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1721) = coupl(nGC_1335) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl( &
                        nGC_87)*dZcR_QED2/2d0
      coupl(nGC_1722) = coupl(nGC_1336) + coupl(nGC_87)*dZcL_QCD2/2d0 + coupl( &
                        nGC_87)*dZcR_QCD2/2d0
      coupl(nGC_1723) = coupl(nGC_1337) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl( &
                        nGC_86)*dZcR_QED2/2d0
      coupl(nGC_1724) = coupl(nGC_1338) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl( &
                        nGC_86)*dZcR_QCD2/2d0
      coupl(nGC_1725) = coupl(nGC_1269) + coupl(nGC_72)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_73)*dZHl_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl&
                        (nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_67_Hl)
      coupl(nGC_1726) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1727) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_1729) = coupl(nGC_1439) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_1233) = coupl(nGC_613)*dvev_QED1 + coupl(nGC_614)*dvevs_QED1 + &
                        coupl(nGC_615)*da_QED2 + coupl(nGC_616)*dl1_QED4 +     &
                        coupl(nGC_617)*dl3_QED4
      coupl(nGC_887) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108)**2d0&
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*cima*coupl&
                       (nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_103)**2d0 - &
                       4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 - cMW**2d0*cima* &
                       coupl(nGC_34)*coupl(nGC_455) - cMW**2d0*cima*coupl(     &
                       nGC_35)*coupl(nGC_453) - 2d0*cMW**2d0*coupl(nGC_28) -   &
                       cMZ**2d0*cima*coupl(nGC_451)*coupl(nGC_57) - cMZ**2d0*  &
                       coupl(nGC_65) + 2d0*cima*coupl(nGC_69)**2d0 + cima*coupl&
                       (nGC_72)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1235) = coupl(nGC_245)*da_QED2 + coupl(nGC_247)*dvevs_QED1 +   &
                        coupl(nGC_249)*dvev_QED1 + coupl(nGC_251)*dl2_QED4 +   &
                        coupl(nGC_253)*dl3_QED4 + coupl(nGC_255)*dl1_QED4
      coupl(nGC_1789) = -coupl(nGC_1446) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_34_Hh) + coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_1809) = -coupl(nGC_1051)
      coupl(nGC_1808) = -coupl(nGC_934)
      coupl(nGC_1804) = -coupl(nGC_1056)
      coupl(nGC_1807) = -coupl(nGC_1134)
      coupl(nGC_1800) = -coupl(nGC_1146)
      coupl(nGC_1802) = -coupl(nGC_1113)
      coupl(nGC_1099) = -coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1092) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*    &
                        coupl(nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl&
                        (nGC_2) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(&
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1093) = (coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_97) + coupl(    &
                        nGC_33)*coupl(nGC_435)*coupl(nGC_99) + coupl(nGC_33)*  &
                        coupl(nGC_453)*coupl(nGC_98) + coupl(nGC_4)**2d0*coupl(&
                        nGC_95) + coupl(nGC_449)*coupl(nGC_56)*coupl(nGC_95) + &
                        coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_95) + 8d0*coupl( &
                        nGC_52)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
      coupl(nGC_1090) = -(coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_47) + coupl(  &
                        nGC_101)**2d0*coupl(nGC_104) + coupl(nGC_101)*coupl(   &
                        nGC_429)*coupl(nGC_52) + coupl(nGC_101)*coupl(nGC_55)* &
                        coupl(nGC_61) + coupl(nGC_103)**2d0*coupl(nGC_104) +   &
                        coupl(nGC_104)**3d0 - 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1091) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*    &
                        coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl&
                        (nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 +  &
                        4d0*coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*&
                        coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1096) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_108) + coupl(nGC_105&
                        )*coupl(nGC_33)*coupl(nGC_34) + coupl(nGC_105)*coupl(  &
                        nGC_85)*coupl(nGC_88) + coupl(nGC_106)**2d0*coupl(     &
                        nGC_108) + coupl(nGC_106)*coupl(nGC_451)*coupl(nGC_50  &
                        ) + coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_57) + coupl(&
                        nGC_108)**3d0 + coupl(nGC_108)*coupl(nGC_109)**2d0 -   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_1094) = -coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1095) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_108) + coupl(nGC_105&
                        )*coupl(nGC_33)*coupl(nGC_455) + coupl(nGC_105)*coupl( &
                        nGC_85)*coupl(nGC_88) + coupl(nGC_107)**2d0*coupl(     &
                        nGC_108) + coupl(nGC_107)*coupl(nGC_451)*coupl(nGC_53  &
                        ) + coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_57) + coupl(&
                        nGC_108)**3d0 + coupl(nGC_108)*coupl(nGC_109)**2d0 -   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_1794) = -coupl(nGC_1031)
      coupl(nGC_1658) = coupl(nGC_1264) + coupl(nGC_58)*dZAZ_QED2 + coupl(     &
                        nGC_63)*dZZ_QED2
      coupl(nGC_1659) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1654) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2&
                        /2d0 + coupl(nGC_1282)
      coupl(nGC_1655) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1283)
      coupl(nGC_1656) = coupl(nGC_1280) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl( &
                        nGC_90)*dZuL_QED2/2d0
      coupl(nGC_1657) = coupl(nGC_1281) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl( &
                        nGC_90)*dZuL_QCD2/2d0
      coupl(nGC_1650) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1651) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1652) = coupl(nGC_1351) + coupl(nGC_88)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_89)*dZHl_QED2/2d0 + coupl(nGC_89)*dZcL_QED2/2d0 + &
                        coupl(nGC_89)*dZcR_QED2/2d0
      coupl(nGC_1653) = coupl(nGC_1352) + coupl(nGC_89)*dZcL_QCD2/2d0 + coupl( &
                        nGC_89)*dZcR_QCD2/2d0
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1350) = coupl(nGC_750)*dyup_QED1_QCD2
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1478) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1479) = coupl(nGC_1268) + coupl(nGC_72)*dZHh_QED2/2d0 + coupl( &
                        nGC_72)*dZZ_QED2 + coupl(nGC_73)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_TS_GC_65_Hh) + coupl(nGC_TS_GC_66_Hl)
      coupl(nGC_1575) = coupl(nGC_1432) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0 + coupl(nGC_TS_GC_123_Hh) + coupl&
                        (nGC_TS_GC_124_Hl)
      coupl(nGC_1576) = coupl(nGC_1433) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1579) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_1211)
      coupl(nGC_1471) = coupl(nGC_1240) + coupl(nGC_17)*dZZA_QED2/2d0 + coupl( &
                        nGC_40)*dZHhHl_QED2/2d0 + coupl(nGC_48)*dZA_QED2/2d0 + &
                        coupl(nGC_48)*dZHl_QED2/2d0 + coupl(nGC_48)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1474) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1476) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_962) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_81) + coupl(nGC_110)*&
                       coupl(nGC_111)*coupl(nGC_80) + coupl(nGC_33)*coupl(     &
                       nGC_439)*coupl(nGC_80) + coupl(nGC_429)*coupl(nGC_53)*  &
                       coupl(nGC_84) + coupl(nGC_451)*coupl(nGC_53)*coupl(     &
                       nGC_83) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_81  &
                       ) + coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_83) + coupl(  &
                       nGC_50)*coupl(nGC_61)*coupl(nGC_84) + coupl(nGC_81)**2d0&
                       *coupl(nGC_82) + coupl(nGC_82)*coupl(nGC_83)**2d0 +     &
                       coupl(nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_963) = -coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(-Nc**2d0 +  &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_960) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_110)*&
                       coupl(nGC_112)*coupl(nGC_80) + coupl(nGC_32)*coupl(     &
                       nGC_33)*coupl(nGC_80) + coupl(nGC_429)*coupl(nGC_50)*   &
                       coupl(nGC_84) + coupl(nGC_451)*coupl(nGC_50)*coupl(     &
                       nGC_83) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_82  &
                       ) + coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_83) + coupl(  &
                       nGC_53)*coupl(nGC_61)*coupl(nGC_84) + coupl(nGC_81)*    &
                       coupl(nGC_82)**2d0 + coupl(nGC_81)*coupl(nGC_83)**2d0 + &
                       coupl(nGC_81)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_961) = -coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(-Nc**2d0 +  &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_966) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_967) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_80) - coupl(nGC_110)*coupl&
                       (nGC_111)*coupl(nGC_82) - coupl(nGC_110)*coupl(nGC_113)*&
                       coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*coupl(    &
                       nGC_84) + coupl(nGC_2)*coupl(nGC_421)*coupl(nGC_80) +   &
                       coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_82) + coupl(nGC_33&
                       )*coupl(nGC_435)*coupl(nGC_84) + coupl(nGC_33)*coupl(   &
                       nGC_453)*coupl(nGC_83) + coupl(nGC_449)*coupl(nGC_54)*  &
                       coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(  &
                       nGC_80) + coupl(nGC_50)*coupl(nGC_55)*coupl(nGC_80))/(  &
                       32d0*pi**2d0)
      coupl(nGC_964) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33&
                       )**2d0*coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_95)**2d0 &
                        + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_965) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) + coupl(  &
                       nGC_1)*coupl(nGC_110)*coupl(nGC_4) + coupl(nGC_110)*    &
                       coupl(nGC_2)*coupl(nGC_421) + coupl(nGC_110)*coupl(     &
                       nGC_449)*coupl(nGC_51) + 8d0*coupl(nGC_110)*coupl(nGC_51&
                       )*coupl(nGC_53) + coupl(nGC_110)*coupl(nGC_53)*coupl(   &
                       nGC_55) + coupl(nGC_112)*coupl(nGC_33)*coupl(nGC_439) - &
                       coupl(nGC_112)*coupl(nGC_80)*coupl(nGC_81) + coupl(     &
                       nGC_113)*coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_113)*  &
                       coupl(nGC_80)*coupl(nGC_83) + coupl(nGC_114)*coupl(     &
                       nGC_33)*coupl(nGC_47) - coupl(nGC_114)*coupl(nGC_80)*   &
                       coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_968) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_969) = (coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51) + coupl(   &
                       nGC_113)**2d0*coupl(nGC_51) + coupl(nGC_114)**2d0*coupl(&
                       nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*    &
                       coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**  &
                       2d0*coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_80)**2d0 +  &
                       4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1272) = coupl(nGC_259)*dZgs_QCD2
      coupl(nGC_1273) = coupl(nGC_670)*dsw_QED2 + coupl(nGC_671)*dZee_QED2
      coupl(nGC_1270) = coupl(nGC_759)*dZee_QED2
      coupl(nGC_1271) = coupl(nGC_811)*dZee_QED2
      coupl(nGC_1276) = coupl(nGC_719)*dcw_QED2 + coupl(nGC_720)*dsw_QED2 +    &
                        coupl(nGC_721)*dZee_QED2
      coupl(nGC_1277) = coupl(nGC_739)*dcw_QED2 + coupl(nGC_740)*dsw_QED2 +    &
                        coupl(nGC_741)*dZee_QED2
      coupl(nGC_1274) = coupl(nGC_722)*dcw_QED2 + coupl(nGC_723)*dsw_QED2 +    &
                        coupl(nGC_724)*dZee_QED2
      coupl(nGC_1275) = coupl(nGC_747)*dcw_QED2 + coupl(nGC_748)*dsw_QED2 +    &
                        coupl(nGC_749)*dZee_QED2
      coupl(nGC_1278) = coupl(nGC_742)*dcw_QED2 + coupl(nGC_743)*dsw_QED2 +    &
                        coupl(nGC_744)*dZee_QED2
      coupl(nGC_1279) = coupl(nGC_726)*dcw_QED2 + coupl(nGC_727)*dsw_QED2 +    &
                        coupl(nGC_728)*dZee_QED2
      coupl(nGC_1074) = -(coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_85) - 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_86) + coupl(nGC_32)*coupl( &
                        nGC_33)*coupl(nGC_85) + coupl(nGC_429)*coupl(nGC_51)*  &
                        coupl(nGC_89) + coupl(nGC_451)*coupl(nGC_51)*coupl(    &
                        nGC_88) - 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_86 &
                        ) + coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_88) + coupl( &
                        nGC_54)*coupl(nGC_61)*coupl(nGC_89) + coupl(nGC_86)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_87)*coupl(nGC_88)**2d0 + &
                        coupl(nGC_87)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1075) = -coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1076) = -(coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85) - 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_87) + coupl(nGC_33)*coupl( &
                        nGC_439)*coupl(nGC_85) + coupl(nGC_429)*coupl(nGC_54)* &
                        coupl(nGC_89) + coupl(nGC_451)*coupl(nGC_54)*coupl(    &
                        nGC_88) - 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_87 &
                        ) + coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_88) + coupl( &
                        nGC_51)*coupl(nGC_61)*coupl(nGC_89) + coupl(nGC_86)*   &
                        coupl(nGC_87)**2d0 + coupl(nGC_86)*coupl(nGC_88)**2d0  &
                         + coupl(nGC_86)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1077) = -coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1070) = (-coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_96) - coupl(   &
                        nGC_33)*coupl(nGC_437)*coupl(nGC_99) - coupl(nGC_33)*  &
                        coupl(nGC_455)*coupl(nGC_98) - coupl(nGC_4)*coupl(     &
                        nGC_421)*coupl(nGC_95) - coupl(nGC_449)*coupl(nGC_52)* &
                        coupl(nGC_95) + 8d0*coupl(nGC_52)*coupl(nGC_56)*coupl( &
                        nGC_95) - coupl(nGC_55)*coupl(nGC_56)*coupl(nGC_95))/( &
                        32d0*pi**2d0)
      coupl(nGC_1072) = -(coupl(nGC_33)*coupl(nGC_437)*coupl(nGC_95) - 8d0*    &
                        coupl(nGC_4)**2d0*coupl(nGC_99) + coupl(nGC_429)*coupl(&
                        nGC_55)*coupl(nGC_97) - 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_61)*coupl(   &
                        nGC_97) + coupl(nGC_97)**2d0*coupl(nGC_99) + coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) + coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1073) = -(coupl(nGC_33)*coupl(nGC_47)*coupl(nGC_95) - 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_99) + coupl(nGC_429)*coupl(     &
                        nGC_52)*coupl(nGC_96) - 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) + coupl(nGC_55)*coupl(nGC_61)*coupl(   &
                        nGC_96) + coupl(nGC_96)**2d0*coupl(nGC_99) + coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) + coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1190) = (-32d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_50)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_50)*coupl&
                        (nGC_54) - 32d0*Nc*cima*coupl(nGC_105)**2d0*coupl(     &
                        nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_110)**2d0*coupl( &
                        nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_110)**2d0*coupl( &
                        nGC_51)*coupl(nGC_53) - 32d0*Nc*cima*coupl(nGC_110)**  &
                        2d0*coupl(nGC_53)**2d0 - 32d0*Nc*cima*coupl(nGC_120)** &
                        2d0*coupl(nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_120)** &
                        2d0*coupl(nGC_51)*coupl(nGC_53) - 32d0*Nc*cima*coupl(  &
                        nGC_120)**2d0*coupl(nGC_53)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_50)**2d0*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(  &
                        nGC_50)**2d0*coupl(nGC_90)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_50)*coupl(nGC_54)*coupl(nGC_80)**2d0 + 40d0*Nc*cima&
                        *coupl(nGC_50)*coupl(nGC_54)*coupl(nGC_90)**2d0 - 32d0*&
                        Nc*cima*coupl(nGC_51)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc&
                        *cima*coupl(nGC_51)*coupl(nGC_53)*coupl(nGC_85)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_85)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_80)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_90)**2d0 -   &
                        32d0*cima*coupl(nGC_100)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_100)**2d0*coupl(nGC_52)*coupl(nGC_56   &
                        ) - 32d0*cima*coupl(nGC_100)**2d0*coupl(nGC_56)**2d0 - &
                        32d0*cima*coupl(nGC_115)**2d0*coupl(nGC_52)**2d0 + 40d0&
                        *cima*coupl(nGC_115)**2d0*coupl(nGC_52)*coupl(nGC_56   &
                        ) - 32d0*cima*coupl(nGC_115)**2d0*coupl(nGC_56)**2d0 + &
                        24d0*cima*coupl(nGC_26)*coupl(nGC_419) + 9d0*cima*coupl&
                        (nGC_32)*coupl(nGC_37)**2d0*coupl(nGC_439) + 9d0*cima* &
                        coupl(nGC_32)*coupl(nGC_427)**2d0*coupl(nGC_439) + 8d0*&
                        cima*coupl(nGC_32)*coupl(nGC_429)*coupl(nGC_439)*coupl(&
                        nGC_61) + 8d0*cima*coupl(nGC_32)*coupl(nGC_439)*coupl( &
                        nGC_451)*coupl(nGC_57) + 9d0*cima*coupl(nGC_34)*coupl( &
                        nGC_37)**2d0*coupl(nGC_455) + 4d0*cima*coupl(nGC_34)*  &
                        coupl(nGC_429)*coupl(nGC_437)*coupl(nGC_57) + 4d0*cima*&
                        coupl(nGC_34)*coupl(nGC_451)*coupl(nGC_455)*coupl(     &
                        nGC_57) + 9d0*cima*coupl(nGC_35)*coupl(nGC_427)**2d0*  &
                        coupl(nGC_453) + 4d0*cima*coupl(nGC_35)*coupl(nGC_429)*&
                        coupl(nGC_435)*coupl(nGC_57) + 4d0*cima*coupl(nGC_35)* &
                        coupl(nGC_451)*coupl(nGC_453)*coupl(nGC_57) + 9d0*cima*&
                        coupl(nGC_37)**2d0*coupl(nGC_437)*coupl(nGC_47) + 4d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_449)**2d0 + 4d0*cima* &
                        coupl(nGC_421)**2d0*coupl(nGC_55)**2d0 + 9d0*cima*coupl&
                        (nGC_427)**2d0*coupl(nGC_435)*coupl(nGC_46) + 4d0*cima*&
                        coupl(nGC_429)*coupl(nGC_435)*coupl(nGC_46)*coupl(     &
                        nGC_61) + 4d0*cima*coupl(nGC_429)*coupl(nGC_437)*coupl(&
                        nGC_47)*coupl(nGC_61) + 8d0*cima*coupl(nGC_449)**2d0*  &
                        coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_451)*coupl(    &
                        nGC_453)*coupl(nGC_46)*coupl(nGC_61) + 4d0*cima*coupl( &
                        nGC_451)*coupl(nGC_455)*coupl(nGC_47)*coupl(nGC_61) -  &
                        32d0*cima*coupl(nGC_52)**2d0*coupl(nGC_95)**2d0 + 40d0*&
                        cima*coupl(nGC_52)*coupl(nGC_56)*coupl(nGC_95)**2d0 -  &
                        32d0*cima*coupl(nGC_56)**2d0*coupl(nGC_95)**2d0 - 6d0* &
                        coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_437) - 6d0*coupl(&
                        nGC_17)*coupl(nGC_37)*coupl(nGC_47) - 6d0*coupl(nGC_17 &
                        )*coupl(nGC_427)*coupl(nGC_435) - 6d0*coupl(nGC_17)*   &
                        coupl(nGC_427)*coupl(nGC_46) + 36d0*coupl(nGC_26)*coupl&
                        (nGC_37)**2d0 + 36d0*coupl(nGC_26)*coupl(nGC_427)**2d0 &
                         - 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_7) - 6d0* &
                        coupl(nGC_32)*coupl(nGC_419)*coupl(nGC_439) - 6d0*coupl&
                        (nGC_32)*coupl(nGC_427)*coupl(nGC_8) + 6d0*coupl(nGC_32&
                        )*coupl(nGC_439)*coupl(nGC_64) - 6d0*coupl(nGC_34)*    &
                        coupl(nGC_37)*coupl(nGC_9) - 6d0*coupl(nGC_34)*coupl(  &
                        nGC_419)*coupl(nGC_455) - 6d0*coupl(nGC_35)*coupl(     &
                        nGC_427)*coupl(nGC_9) + 6d0*coupl(nGC_35)*coupl(nGC_435&
                        )*coupl(nGC_66) + 6d0*coupl(nGC_35)*coupl(nGC_453)*    &
                        coupl(nGC_65) - 6d0*coupl(nGC_37)*coupl(nGC_439)*coupl(&
                        nGC_8) - 6d0*coupl(nGC_37)*coupl(nGC_455)*coupl(nGC_9  &
                        ) - 6d0*coupl(nGC_419)*coupl(nGC_437)*coupl(nGC_47) +  &
                        6d0*coupl(nGC_421)**2d0*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_427)*coupl(nGC_439)*coupl(nGC_7) - 6d0*coupl(      &
                        nGC_427)*coupl(nGC_453)*coupl(nGC_9) + 6d0*coupl(      &
                        nGC_435)*coupl(nGC_46)*coupl(nGC_67) + 6d0*coupl(      &
                        nGC_449)**2d0*coupl(nGC_63) + 6d0*coupl(nGC_453)*coupl(&
                        nGC_46)*coupl(nGC_66))/(192d0*pi**2d0)
      coupl(nGC_1078) = (coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*  &
                        coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4&
                        ))/(32d0*pi**2d0)
      coupl(nGC_1079) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_83) + 8d0*Nc*&
                        cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83) - 8d0*Nc*&
                        cMB*coupl(nGC_53)**2d0*coupl(nGC_83) - 8d0*Nc*cMC*coupl&
                        (nGC_51)**2d0*coupl(nGC_88) + 8d0*Nc*cMC*coupl(nGC_51)*&
                        coupl(nGC_54)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_54  &
                        )**2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*  &
                        coupl(nGC_93) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*&
                        coupl(nGC_93) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(   &
                        nGC_93) - 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)**2d0 &
                         + 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53&
                        ) - 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_53)**2d0 - 8d0*&
                        Nc*cMT*coupl(nGC_113)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT* &
                        coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT&
                        *coupl(nGC_113)*coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl( &
                        nGC_123)*coupl(nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_123 &
                        )*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_54)**2d0 - 8d0*cME*coupl(nGC_52)**  &
                        2d0*coupl(nGC_98) + 8d0*cME*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) - 8d0*cME*coupl(nGC_55)**2d0*coupl(    &
                        nGC_98) - 8d0*cMM*coupl(nGC_103)*coupl(nGC_52)**2d0 +  &
                        8d0*cMM*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55) -   &
                        8d0*cMM*coupl(nGC_103)*coupl(nGC_55)**2d0 - 8d0*cMTA*  &
                        coupl(nGC_118)*coupl(nGC_52)**2d0 + 8d0*cMTA*coupl(    &
                        nGC_118)*coupl(nGC_52)*coupl(nGC_55) - 8d0*cMTA*coupl( &
                        nGC_118)*coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_419)* &
                        coupl(nGC_69) - coupl(nGC_34)*coupl(nGC_427)*coupl(    &
                        nGC_68) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_68) +  &
                        6d0*coupl(nGC_37)**2d0*coupl(nGC_69) - coupl(nGC_37)*  &
                        coupl(nGC_453)*coupl(nGC_68) + 6d0*coupl(nGC_427)**2d0*&
                        coupl(nGC_69) - coupl(nGC_427)*coupl(nGC_455)*coupl(   &
                        nGC_68))/(32d0*pi**2d0)
      coupl(nGC_1006) = -(coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_439) + coupl( &
                        nGC_101)**2d0*coupl(nGC_102) - 8d0*coupl(nGC_101)*coupl&
                        (nGC_4)**2d0 - 8d0*coupl(nGC_101)*coupl(nGC_52)*coupl( &
                        nGC_55) + coupl(nGC_102)*coupl(nGC_103)**2d0 + coupl(  &
                        nGC_102)*coupl(nGC_104)**2d0 + coupl(nGC_103)*coupl(   &
                        nGC_451)*coupl(nGC_55) + coupl(nGC_103)*coupl(nGC_52)* &
                        coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_429)*coupl(   &
                        nGC_55) + coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1001) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + coupl(nGC_105)**&
                        2d0*coupl(nGC_54) + coupl(nGC_106)*coupl(nGC_107)*coupl&
                        (nGC_53) + coupl(nGC_108)**2d0*coupl(nGC_53) + coupl(  &
                        nGC_109)**2d0*coupl(nGC_53) + 4d0*coupl(nGC_50)**3d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_1000) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_106)* &
                        coupl(nGC_107)*coupl(nGC_50) + coupl(nGC_108)**2d0*    &
                        coupl(nGC_50) + coupl(nGC_109)**2d0*coupl(nGC_50) + 4d0&
                        *coupl(nGC_33)**2d0*coupl(nGC_427) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_54) + coupl(nGC_51)*coupl(nGC_85)**2d0&
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1018) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(   &
                        nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4  &
                        )**2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1003) = (coupl(nGC_100)**2d0*coupl(nGC_56) + coupl(nGC_101)*   &
                        coupl(nGC_102)*coupl(nGC_55) + coupl(nGC_103)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_104)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1002) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_52) + coupl(  &
                        nGC_103)**2d0*coupl(nGC_52) + coupl(nGC_104)**2d0*coupl&
                        (nGC_52) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_427) + 4d0*&
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_18_Hh) = -coupl(nGC_18)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1204) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*   &
                        coupl(nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_1203) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*   &
                        coupl(nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_1202) = (3d0*Nc*cima*coupl(nGC_50)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_51)**4d0 + 3d0*Nc*cima*coupl(nGC_53)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_54)**4d0 - 10d0*cima*coupl(nGC_37)**4d0 &
                         + 3d0*cima*coupl(nGC_419)**2d0 - 10d0*cima*coupl(     &
                        nGC_427)**4d0 + 3d0*cima*coupl(nGC_52)**4d0 + 3d0*cima*&
                        coupl(nGC_55)**4d0 + 3d0*cima*coupl(nGC_56)**4d0 + 3d0*&
                        coupl(nGC_29)*coupl(nGC_37)**2d0 + 3d0*coupl(nGC_29)*  &
                        coupl(nGC_427)**2d0 + 9d0*coupl(nGC_37)**2d0*coupl(    &
                        nGC_419) + 9d0*coupl(nGC_419)*coupl(nGC_427)**2d0)/(   &
                        24d0*pi**2d0)
      coupl(nGC_1209) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_1208) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_1610) = coupl(nGC_105)*dZcL_QED2/2d0 + coupl(nGC_105)*dZsR_QED2&
                        /2d0 + coupl(nGC_1284)
      coupl(nGC_1611) = coupl(nGC_105)*dZcL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1285)
      coupl(nGC_1612) = coupl(nGC_1426) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_77_Hl) + coupl(nGC_TS_GC_79_Hh)
      coupl(nGC_1613) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_1614) = coupl(nGC_11)*dZcL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_1272)
      coupl(nGC_1615) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_1616) = coupl(nGC_11)*dZcR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_1272)
      coupl(nGC_1617) = coupl(nGC_11)*dZcR_QED2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
