!******************************************************************************!
!                                                                              !
!    ctparameter23.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter23.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter23
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter23()
  dZtL_QCD2 = (coupl(nGC_11)**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) + coupl(nGC_11)**  &
              2d0*(Ten396*(Nc**2d0 - 1d0) + Ten401*(Nc**2d0 - 1d0) + 2d0*Ten408&
              *rMT*(-2d0*Nc**2d0*cMT + Nc**2d0*rMT + 2d0*cMT - rMT) + 2d0*     &
              Ten413*rMT**2d0*(Nc**2d0 - 1d0))/Nc)/(16d0*pi**2d0)
end subroutine set_ctparameter23
end module ctparameter23
