!******************************************************************************!
!                                                                              !
!    ctparameter58.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter58.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter58
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter58()
  if (dZcL_QED2_scheme .eq. 2) then
    dZcL_QED2 = (Ten201*coupl(nGC_2)**2d0 - Ten265*(2d0*coupl(nGC_54)**2d0 +   &
                coupl(nGC_86)*coupl(nGC_87)) - Ten266*coupl(nGC_88)**2d0 -     &
                Ten267*coupl(nGC_89)**2d0 + Ten330*(coupl(nGC_105)**2d0 + 2d0* &
                coupl(nGC_33)**2d0) + Ten331*(coupl(nGC_105)**2d0 + 2d0*coupl( &
                nGC_33)**2d0) - coupl(nGC_33)**2d0 - coupl(nGC_54)**2d0)/(16d0*&
                pi**2d0)
  end if 
end subroutine set_ctparameter58
end module ctparameter58
