!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  dalZ_QED2 = (16d0*pi*aEW*(11d0*Nc + 27d0)/81d0 + 16d0*pi*aEW*(Nc*Ten417*(2d0*&
              MB**2d0 + rMZ**2d0) + 4d0*Nc*Ten418*(2d0*MC**2d0 + rMZ**2d0) -   &
              4d0*Nc*Ten549*(2d0*MU**2d0 + rMZ**2d0) - 4d0*Nc*Ten550*(2d0*MC** &
              2d0 + rMZ**2d0) - Nc*Ten552*(2d0*MD**2d0 + rMZ**2d0) - Nc*Ten553 &
              *(2d0*MS**2d0 + rMZ**2d0) - Nc*Ten554*(2d0*MB**2d0 + rMZ**2d0) + &
              Nc*Ten668*(2d0*MD**2d0 + rMZ**2d0) + Nc*Ten669*(2d0*MS**2d0 + rMZ&
              **2d0) + 4d0*Nc*Ten670*(2d0*MU**2d0 + rMZ**2d0) - 9d0*Ten546*(2d0&
              *ME**2d0 + rMZ**2d0) - 9d0*Ten547*(2d0*MM**2d0 + rMZ**2d0) - 9d0*&
              Ten548*(2d0*MTA**2d0 + rMZ**2d0) + 9d0*Ten665*(2d0*ME**2d0 + rMZ &
              **2d0) + 9d0*Ten666*(2d0*MM**2d0 + rMZ**2d0) + 9d0*Ten667*(2d0*  &
              MTA**2d0 + rMZ**2d0))/(27d0*rMZ**2d0))/(16d0*pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter70
end module ctparameter70
