!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1106) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc*&
                        cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*&
                        cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl&
                        (nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86 &
                        )*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87&
                        )**2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*  &
                        coupl(nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92 &
                        )*coupl(nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl( &
                        nGC_93) + 4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108 &
                        ) + 16d0*Nc*cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_108) + 4d0*Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_108&
                        ) + 4d0*Nc*cMT*coupl(nGC_111)**2d0*coupl(nGC_113) +    &
                        16d0*Nc*cMT*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_113&
                        ) + 4d0*Nc*cMT*coupl(nGC_112)**2d0*coupl(nGC_113) + 4d0&
                        *Nc*cMU*coupl(nGC_121)**2d0*coupl(nGC_123) + 16d0*Nc*  &
                        cMU*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123) + 4d0*&
                        Nc*cMU*coupl(nGC_122)**2d0*coupl(nGC_123) + 4d0*cME*   &
                        coupl(nGC_96)**2d0*coupl(nGC_98) + 16d0*cME*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_98) + 4d0*cME*coupl(   &
                        nGC_97)**2d0*coupl(nGC_98) + 4d0*cMM*coupl(nGC_101)**  &
                        2d0*coupl(nGC_103) + 16d0*cMM*coupl(nGC_101)*coupl(    &
                        nGC_102)*coupl(nGC_103) + 4d0*cMM*coupl(nGC_102)**2d0* &
                        coupl(nGC_103) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl(   &
                        nGC_118) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*    &
                        coupl(nGC_118) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(   &
                        nGC_118) + 4d0*cima*coupl(nGC_26)*coupl(nGC_69) + 2d0* &
                        cima*coupl(nGC_64)*coupl(nGC_72) - 2d0*coupl(nGC_32)*  &
                        coupl(nGC_439)*coupl(nGC_69) + 2d0*coupl(nGC_32)*coupl(&
                        nGC_439)*coupl(nGC_75) + coupl(nGC_429)*coupl(nGC_451)*&
                        coupl(nGC_74) + coupl(nGC_429)*coupl(nGC_57)*coupl(    &
                        nGC_76) - coupl(nGC_429)*coupl(nGC_61)*coupl(nGC_72) + &
                        coupl(nGC_429)*coupl(nGC_61)*coupl(nGC_79) + coupl(    &
                        nGC_451)**2d0*coupl(nGC_75) - coupl(nGC_451)*coupl(    &
                        nGC_57)*coupl(nGC_72) + coupl(nGC_451)*coupl(nGC_57)*  &
                        coupl(nGC_78) + coupl(nGC_451)*coupl(nGC_61)*coupl(    &
                        nGC_76) + coupl(nGC_57)**2d0*coupl(nGC_75) + coupl(    &
                        nGC_57)*coupl(nGC_61)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_1107) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC* &
                        coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108  &
                        ) - cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_1100) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_93) + coupl(nGC_120 &
                        )*coupl(nGC_123)*coupl(nGC_90) + coupl(nGC_33)*coupl(  &
                        nGC_455)*coupl(nGC_90) + coupl(nGC_451)*coupl(nGC_53)* &
                        coupl(nGC_92) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) + coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_92) +  &
                        coupl(nGC_92)**2d0*coupl(nGC_93) + coupl(nGC_93)**3d0  &
                         + coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1101) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_93) + coupl(nGC_120 &
                        )*coupl(nGC_123)*coupl(nGC_90) + coupl(nGC_33)*coupl(  &
                        nGC_34)*coupl(nGC_90) + coupl(nGC_451)*coupl(nGC_50)*  &
                        coupl(nGC_91) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) + coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) +  &
                        coupl(nGC_91)**2d0*coupl(nGC_93) + coupl(nGC_93)**3d0  &
                         + coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1103) = -coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1583) = coupl(nGC_1300) + coupl(nGC_82)*dZbL_QED2/2d0 + coupl( &
                        nGC_82)*dZbR_QED2/2d0
      coupl(nGC_1584) = coupl(nGC_1301) + coupl(nGC_82)*dZbL_QCD2/2d0 + coupl( &
                        nGC_82)*dZbR_QCD2/2d0
      coupl(nGC_1585) = coupl(nGC_1345) + coupl(nGC_88)*dZHh_QED2/2d0 + coupl( &
                        nGC_88)*dZcL_QED2/2d0 + coupl(nGC_88)*dZcR_QED2/2d0 +  &
                        coupl(nGC_89)*dZHlHh_QED2/2d0
      coupl(nGC_1586) = coupl(nGC_1346) + coupl(nGC_88)*dZcL_QCD2/2d0 + coupl( &
                        nGC_88)*dZcR_QCD2/2d0
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1038) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_106) + coupl(nGC_105&
                        )*coupl(nGC_33)*coupl(nGC_439) + coupl(nGC_105)*coupl( &
                        nGC_85)*coupl(nGC_86) + coupl(nGC_106)**2d0*coupl(     &
                        nGC_107) - 8d0*coupl(nGC_106)*coupl(nGC_50)*coupl(     &
                        nGC_53) + coupl(nGC_107)*coupl(nGC_108)**2d0 + coupl(  &
                        nGC_107)*coupl(nGC_109)**2d0 + coupl(nGC_108)*coupl(   &
                        nGC_451)*coupl(nGC_53) + coupl(nGC_108)*coupl(nGC_50)* &
                        coupl(nGC_57) + coupl(nGC_109)*coupl(nGC_429)*coupl(   &
                        nGC_53) + coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1039) = -coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1030) = -(coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) - 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) + coupl(nGC_33)*coupl( &
                        nGC_35)*coupl(nGC_85) + coupl(nGC_451)*coupl(nGC_51)*  &
                        coupl(nGC_87) - 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) + coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_87) +  &
                        coupl(nGC_87)**2d0*coupl(nGC_88) + coupl(nGC_88)**3d0  &
                         + coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1031) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_104)*coupl(nGC_33) - 4d0*coupl(     &
                        nGC_115)*coupl(nGC_119)*coupl(nGC_33) - 6d0*coupl(nGC_3&
                        )*coupl(nGC_4)*coupl(nGC_437) - 6d0*coupl(nGC_32)*coupl&
                        (nGC_427)*coupl(nGC_429) + coupl(nGC_32)*coupl(nGC_449 &
                        )*coupl(nGC_61) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl&
                        (nGC_99) + coupl(nGC_35)**2d0*coupl(nGC_47) - 6d0*coupl&
                        (nGC_37)*coupl(nGC_437)*coupl(nGC_55) + coupl(nGC_439  &
                        )**2d0*coupl(nGC_47) + coupl(nGC_46)**2d0*coupl(nGC_47 &
                        ))/(96d0*pi**2d0)
      coupl(nGC_1033) = (coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_54)**2d0 + coupl(nGC_2)*coupl(nGC_86)*&
                        coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88)**2d0 + coupl&
                        (nGC_2)*coupl(nGC_89)**2d0 + 4d0*coupl(nGC_3)*coupl(   &
                        nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1034) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(    &
                        nGC_88)**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_1035) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1036) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_107) + coupl(nGC_105&
                        )*coupl(nGC_32)*coupl(nGC_33) + coupl(nGC_105)*coupl(  &
                        nGC_85)*coupl(nGC_87) + coupl(nGC_106)*coupl(nGC_107)**&
                        2d0 + coupl(nGC_106)*coupl(nGC_108)**2d0 + coupl(      &
                        nGC_106)*coupl(nGC_109)**2d0 - 8d0*coupl(nGC_107)*coupl&
                        (nGC_50)*coupl(nGC_53) + coupl(nGC_108)*coupl(nGC_451)*&
                        coupl(nGC_50) + coupl(nGC_108)*coupl(nGC_53)*coupl(    &
                        nGC_57) + coupl(nGC_109)*coupl(nGC_429)*coupl(nGC_50   &
                        ) + coupl(nGC_109)*coupl(nGC_53)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1037) = -coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1098) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52 &
                        )**2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)** &
                        2d0 + coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_939) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                       nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl(&
                       nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(64d0&
                       *pi**2d0*Nc)
      coupl(nGC_938) = coupl(nGC_11)*sq2*(-coupl(nGC_105)**2d0 - 4d0*coupl(    &
                       nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54 &
                       )**2d0 - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_88)**  &
                       2d0 - coupl(nGC_89)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_934) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_50) +  &
                       4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_53) + 4d0&
                       *Nc*coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_50) - 4d0*Nc&
                       *coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_53) + 4d0*Nc*  &
                       coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_51) - 4d0*Nc*   &
                       coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_51) + 4d0*Nc*   &
                       coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_54) + 4d0*Nc*   &
                       coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_51) - 4d0*Nc*   &
                       coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_51) + 4d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_54) - 4d0*Nc*   &
                       coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*coupl&
                       (nGC_50)*coupl(nGC_82)*coupl(nGC_83) - 4d0*Nc*coupl(    &
                       nGC_50)*coupl(nGC_91)*coupl(nGC_93) + 4d0*Nc*coupl(     &
                       nGC_50)*coupl(nGC_92)*coupl(nGC_93) + 4d0*Nc*coupl(     &
                       nGC_51)*coupl(nGC_86)*coupl(nGC_88) - 4d0*Nc*coupl(     &
                       nGC_51)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_81)*coupl(nGC_83) - 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_91)*coupl(nGC_93) - 4d0*Nc*coupl(     &
                       nGC_53)*coupl(nGC_92)*coupl(nGC_93) - 4d0*Nc*coupl(     &
                       nGC_54)*coupl(nGC_86)*coupl(nGC_88) + 4d0*Nc*coupl(     &
                       nGC_54)*coupl(nGC_87)*coupl(nGC_88) - 4d0*coupl(nGC_101 &
                       )*coupl(nGC_103)*coupl(nGC_52) + 4d0*coupl(nGC_101)*    &
                       coupl(nGC_103)*coupl(nGC_55) + 4d0*coupl(nGC_102)*coupl(&
                       nGC_103)*coupl(nGC_52) - 4d0*coupl(nGC_102)*coupl(      &
                       nGC_103)*coupl(nGC_55) - 4d0*coupl(nGC_116)*coupl(      &
                       nGC_118)*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(      &
                       nGC_118)*coupl(nGC_55) + 4d0*coupl(nGC_117)*coupl(      &
                       nGC_118)*coupl(nGC_52) - 4d0*coupl(nGC_117)*coupl(      &
                       nGC_118)*coupl(nGC_55) - 6d0*coupl(nGC_32)*coupl(nGC_34 &
                       )*coupl(nGC_427) - 6d0*coupl(nGC_32)*coupl(nGC_35)*coupl&
                       (nGC_37) + coupl(nGC_429)**2d0*coupl(nGC_451) + coupl(  &
                       nGC_439)*coupl(nGC_449)*coupl(nGC_455) + coupl(nGC_439)*&
                       coupl(nGC_453)*coupl(nGC_55) + coupl(nGC_451)**3d0 - 4d0&
                       *coupl(nGC_52)*coupl(nGC_96)*coupl(nGC_98) + 4d0*coupl( &
                       nGC_52)*coupl(nGC_97)*coupl(nGC_98) + 4d0*coupl(nGC_55)*&
                       coupl(nGC_96)*coupl(nGC_98) - 4d0*coupl(nGC_55)*coupl(  &
                       nGC_97)*coupl(nGC_98))/(96d0*pi**2d0)
      coupl(nGC_937) = (24d0*Nc*cMB*coupl(nGC_83)**2d0*coupl(nGC_84) + 24d0*Nc*&
                       cMC*coupl(nGC_88)**2d0*coupl(nGC_89) + 24d0*Nc*cMD*coupl&
                       (nGC_93)**2d0*coupl(nGC_94) + 24d0*Nc*cMS*coupl(nGC_108 &
                       )**2d0*coupl(nGC_109) + 24d0*Nc*cMT*coupl(nGC_113)**2d0*&
                       coupl(nGC_114) + 24d0*Nc*cMU*coupl(nGC_123)**2d0*coupl( &
                       nGC_124) + 24d0*cME*coupl(nGC_98)**2d0*coupl(nGC_99) +  &
                       24d0*cMM*coupl(nGC_103)**2d0*coupl(nGC_104) + 24d0*cMTA*&
                       coupl(nGC_118)**2d0*coupl(nGC_119) + 4d0*cima*coupl(    &
                       nGC_28)*coupl(nGC_70) + 8d0*cima*coupl(nGC_30)*coupl(   &
                       nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_73) + 4d0*   &
                       cima*coupl(nGC_66)*coupl(nGC_72) - coupl(nGC_34)*coupl( &
                       nGC_437)*coupl(nGC_69) + coupl(nGC_34)*coupl(nGC_437)*  &
                       coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_455)*coupl(     &
                       nGC_70) + coupl(nGC_34)*coupl(nGC_455)*coupl(nGC_74) -  &
                       coupl(nGC_35)*coupl(nGC_435)*coupl(nGC_69) + coupl(     &
                       nGC_35)*coupl(nGC_435)*coupl(nGC_75) - coupl(nGC_35)*   &
                       coupl(nGC_453)*coupl(nGC_70) + coupl(nGC_35)*coupl(     &
                       nGC_453)*coupl(nGC_74) - coupl(nGC_429)*coupl(nGC_57)*  &
                       coupl(nGC_72) + coupl(nGC_429)*coupl(nGC_57)*coupl(     &
                       nGC_75) - coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_73) +  &
                       coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_74) - coupl(     &
                       nGC_451)*coupl(nGC_61)*coupl(nGC_72) + coupl(nGC_451)*  &
                       coupl(nGC_61)*coupl(nGC_75) - coupl(nGC_453)*coupl(     &
                       nGC_46)*coupl(nGC_69) + coupl(nGC_453)*coupl(nGC_46)*   &
                       coupl(nGC_75) - coupl(nGC_455)*coupl(nGC_47)*coupl(     &
                       nGC_69) + coupl(nGC_455)*coupl(nGC_47)*coupl(nGC_75))/( &
                       32d0*pi**2d0)
      coupl(nGC_936) = (coupl(nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl&
                       (nGC_449)*coupl(nGC_56) + coupl(nGC_100)*coupl(nGC_52)* &
                       coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(nGC_52)*coupl( &
                       nGC_56) + coupl(nGC_102)*coupl(nGC_32)*coupl(nGC_33) +  &
                       coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_453) + coupl(    &
                       nGC_104)*coupl(nGC_33)*coupl(nGC_435))/(32d0*pi**2d0)
      coupl(nGC_930) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                       ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_1324) = coupl(nGC_611)*dytau_QED3
      coupl(nGC_1325) = coupl(nGC_676)*dye_QED3 + coupl(nGC_677)*da_QED2
      coupl(nGC_1249) = coupl(nGC_639)*dsw_QED2 + coupl(nGC_640)*dZee_QED2 +   &
                        coupl(nGC_641)*da_QED2
      coupl(nGC_1248) = coupl(nGC_630)*dsw_QED2 + coupl(nGC_631)*dZee_QED2
      coupl(nGC_1321) = coupl(nGC_729)*dym_QED3
      coupl(nGC_1322) = coupl(nGC_725)*dym_QED3
      coupl(nGC_1323) = coupl(nGC_609)*dytau_QED3
      coupl(nGC_1243) = coupl(nGC_683)*dsw_QED2 + coupl(nGC_684)*dZee_QED2 +   &
                        coupl(nGC_685)*da_QED2
      coupl(nGC_1242) = coupl(nGC_668)*dsw_QED2 + coupl(nGC_669)*dZee_QED2
      coupl(nGC_1241) = coupl(nGC_857)*dsw_QED2 + coupl(nGC_858)*dZee_QED2 +   &
                        coupl(nGC_859)*dvev_QED1
      coupl(nGC_1240) = coupl(nGC_713)*dsw_QED2 + coupl(nGC_714)*dZee_QED2 +   &
                        coupl(nGC_715)*da_QED2
      coupl(nGC_1247) = coupl(nGC_716)*dsw_QED2 + coupl(nGC_717)*dZee_QED2 +   &
                        coupl(nGC_718)*da_QED2
      coupl(nGC_1246) = coupl(nGC_678)*dsw_QED2 + coupl(nGC_679)*dZee_QED2 +   &
                        coupl(nGC_680)*da_QED2
      coupl(nGC_1245) = coupl(nGC_689)*dsw_QED2 + coupl(nGC_690)*dZee_QED2
      coupl(nGC_1244) = coupl(nGC_707)*dsw_QED2 + coupl(nGC_708)*dZee_QED2 +   &
                        coupl(nGC_709)*da_QED2
      coupl(nGC_1294) = coupl(nGC_856)*dydo_QED3
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1719) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1718) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1715) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_1717) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_1321)
      coupl(nGC_1716) = coupl(nGC_101)*dZmuMinusL_QED2/2d0 + coupl(nGC_101)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_1322)
      coupl(nGC_1711) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_1713) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_980) = -coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(-Nc**2d0 +  &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_981) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_110)*&
                       coupl(nGC_114)*coupl(nGC_80) + coupl(nGC_33)*coupl(     &
                       nGC_437)*coupl(nGC_80) + coupl(nGC_429)*coupl(nGC_53)*  &
                       coupl(nGC_82) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                       nGC_84) + coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_82) +   &
                       coupl(nGC_82)**2d0*coupl(nGC_84) + coupl(nGC_83)**2d0*  &
                       coupl(nGC_84) + coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_982) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_110)*&
                       coupl(nGC_114)*coupl(nGC_80) + coupl(nGC_33)*coupl(     &
                       nGC_47)*coupl(nGC_80) + coupl(nGC_429)*coupl(nGC_50)*   &
                       coupl(nGC_81) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                       nGC_84) + coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) +   &
                       coupl(nGC_81)**2d0*coupl(nGC_84) + coupl(nGC_83)**2d0*  &
                       coupl(nGC_84) + coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_983) = -coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_984) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_109) + coupl(nGC_105 &
                       )*coupl(nGC_33)*coupl(nGC_437) + coupl(nGC_105)*coupl(  &
                       nGC_85)*coupl(nGC_89) + coupl(nGC_107)**2d0*coupl(      &
                       nGC_109) + coupl(nGC_107)*coupl(nGC_429)*coupl(nGC_53   &
                       ) + coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_61) + coupl( &
                       nGC_108)**2d0*coupl(nGC_109) + coupl(nGC_109)**3d0 - 8d0&
                       *coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi** &
                       2d0)
      coupl(nGC_985) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_109) + coupl(nGC_105 &
                       )*coupl(nGC_33)*coupl(nGC_47) + coupl(nGC_105)*coupl(   &
                       nGC_85)*coupl(nGC_89) + coupl(nGC_106)**2d0*coupl(      &
                       nGC_109) + coupl(nGC_106)*coupl(nGC_429)*coupl(nGC_50   &
                       ) + coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_61) + coupl( &
                       nGC_108)**2d0*coupl(nGC_109) + coupl(nGC_109)**3d0 - 8d0&
                       *coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi** &
                       2d0)
      coupl(nGC_988) = -coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(-Nc**2d0 + &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_989) = -(coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_453) + coupl(  &
                       nGC_110)*coupl(nGC_80)*coupl(nGC_83) + coupl(nGC_111)** &
                       2d0*coupl(nGC_113) + coupl(nGC_111)*coupl(nGC_451)*coupl&
                       (nGC_54) + coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_57) + &
                       coupl(nGC_113)**3d0 + coupl(nGC_113)*coupl(nGC_114)**2d0&
                        - 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 - 8d0*coupl(    &
                       nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1140) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(  &
                        nGC_98)**3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA* &
                        coupl(nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(    &
                        nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_72) - coupl(&
                        nGC_34)*coupl(nGC_455)*coupl(nGC_69) + coupl(nGC_34)*  &
                        coupl(nGC_455)*coupl(nGC_75) - coupl(nGC_35)*coupl(    &
                        nGC_453)*coupl(nGC_69) + coupl(nGC_35)*coupl(nGC_453)* &
                        coupl(nGC_75) - coupl(nGC_451)*coupl(nGC_57)*coupl(    &
                        nGC_72) + coupl(nGC_451)*coupl(nGC_57)*coupl(nGC_75))/(&
                        32d0*pi**2d0)
      coupl(nGC_1141) = (coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51) + coupl(  &
                        nGC_123)**2d0*coupl(nGC_51) + coupl(nGC_124)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_90)**2d0 + &
                        4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1142) = (coupl(nGC_120)**2d0*coupl(nGC_53) + coupl(nGC_121)*   &
                        coupl(nGC_122)*coupl(nGC_54) + coupl(nGC_123)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_124)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1143) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_427) + 4d0*coupl(    &
                        nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_96)*coupl(     &
                        nGC_97) + coupl(nGC_52)*coupl(nGC_98)**2d0 + coupl(    &
                        nGC_52)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_55)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1144) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52&
                        )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +   &
                        coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(&
                        nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1145) = 3d0*(8d0*Nc*cMB*coupl(nGC_84)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_89)**3d0 + 8d0*Nc*cMD*coupl(nGC_94)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_109)**3d0 + 8d0*Nc*cMT*coupl(nGC_114)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_124)**3d0 + 8d0*cME*coupl(  &
                        nGC_99)**3d0 + 8d0*cMM*coupl(nGC_104)**3d0 + 8d0*cMTA* &
                        coupl(nGC_119)**3d0 + 4d0*cima*coupl(nGC_31)*coupl(    &
                        nGC_70) + 2d0*cima*coupl(nGC_67)*coupl(nGC_73) - coupl(&
                        nGC_429)*coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_429)* &
                        coupl(nGC_61)*coupl(nGC_74) - coupl(nGC_435)*coupl(    &
                        nGC_46)*coupl(nGC_70) + coupl(nGC_435)*coupl(nGC_46)*  &
                        coupl(nGC_74) - coupl(nGC_437)*coupl(nGC_47)*coupl(    &
                        nGC_70) + coupl(nGC_437)*coupl(nGC_47)*coupl(nGC_74))/(&
                        32d0*pi**2d0)
      coupl(nGC_1669) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1663) = coupl(nGC_1441) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1667) = coupl(nGC_113)*dZtL_QCD2/2d0 + coupl(nGC_113)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1348)
      coupl(nGC_1666) = coupl(nGC_113)*dZHh_QED2/2d0 + coupl(nGC_113)*dZtL_QED2&
                        /2d0 + coupl(nGC_113)*dZtR_QED2/2d0 + coupl(nGC_114)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_1347)
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1311) = coupl(nGC_863)*dydo_QED1_QCD2
      coupl(nGC_1447) = coupl(nGC_409)*dMW2_QED2
      coupl(nGC_1446) = coupl(nGC_405)*dMW2_QED2
      coupl(nGC_1310) = coupl(nGC_863)*dydo_QED3 + coupl(nGC_864)*da_QED2
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1448) = coupl(nGC_413)*dMZ2_QED2
      coupl(nGC_1567) = coupl(nGC_1434) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_88_Hh) + coupl(&
                        nGC_TS_GC_89_Hl)
      coupl(nGC_1562) = coupl(nGC_1244) + coupl(nGC_35)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_46)*dZHl_QED2/2d0 + coupl(nGC_46)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_1560) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_1314) = coupl(nGC_809)*dyb_QED3 + coupl(nGC_810)*da_QED2
      coupl(nGC_1019) = (coupl(nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*    &
                        coupl(nGC_449)*coupl(nGC_56) + coupl(nGC_115)*coupl(   &
                        nGC_52)*coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(nGC_52&
                        )*coupl(nGC_56) + coupl(nGC_117)*coupl(nGC_32)*coupl(  &
                        nGC_33) + coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_453   &
                        ) + coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_435))/(32d0*&
                        pi**2d0)
      coupl(nGC_1319) = coupl(nGC_612)*dye_QED3
      coupl(nGC_1005) = -(coupl(nGC_100)*coupl(nGC_32)*coupl(nGC_33) + coupl(  &
                        nGC_101)*coupl(nGC_102)**2d0 + coupl(nGC_101)*coupl(   &
                        nGC_103)**2d0 + coupl(nGC_101)*coupl(nGC_104)**2d0 -   &
                        8d0*coupl(nGC_102)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_102)*coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_103)* &
                        coupl(nGC_451)*coupl(nGC_52) + coupl(nGC_103)*coupl(   &
                        nGC_55)*coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_429)* &
                        coupl(nGC_52) + coupl(nGC_104)*coupl(nGC_55)*coupl(    &
                        nGC_61))/(32d0*pi**2d0)
      coupl(nGC_970) = (coupl(nGC_110)**2d0*coupl(nGC_53) + coupl(nGC_111)*    &
                       coupl(nGC_112)*coupl(nGC_54) + coupl(nGC_113)**2d0*coupl&
                       (nGC_54) + coupl(nGC_114)**2d0*coupl(nGC_54) + 4d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)**3d0)/(  &
                       32d0*pi**2d0)
      coupl(nGC_973) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_977) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_979) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_878) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_879) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_871) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_872) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_4)**2d0 - coupl(  &
                       nGC_55)**2d0)/(16d0*pi**2d0)
      coupl(nGC_873) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_874) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_877) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(  &
                       nGC_54)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1041) = -(coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_95) - 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_451)*coupl(     &
                        nGC_52)*coupl(nGC_96) - 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) + coupl(nGC_55)*coupl(nGC_57)*coupl(   &
                        nGC_96) + coupl(nGC_96)**2d0*coupl(nGC_98) + coupl(    &
                        nGC_98)**3d0 + coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1040) = -(coupl(nGC_33)*coupl(nGC_455)*coupl(nGC_95) - 8d0*    &
                        coupl(nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_451)*coupl(&
                        nGC_55)*coupl(nGC_97) - 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) + coupl(nGC_52)*coupl(nGC_57)*coupl(   &
                        nGC_97) + coupl(nGC_97)**2d0*coupl(nGC_98) + coupl(    &
                        nGC_98)**3d0 + coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1043) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_50)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)*coupl&
                        (nGC_82) - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1042) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_110)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_81)*coupl(nGC_82) - coupl(    &
                        nGC_83)**2d0 - coupl(nGC_84)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1045) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_50)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)*coupl&
                        (nGC_82) + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1044) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_110)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82) + coupl(    &
                        nGC_83)**2d0 + coupl(nGC_84)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1047) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52) + coupl(  &
                        nGC_118)**2d0*coupl(nGC_52) + coupl(nGC_119)**2d0*coupl&
                        (nGC_52) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_427) + 4d0*&
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1048) = (coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_116)*   &
                        coupl(nGC_117)*coupl(nGC_55) + coupl(nGC_118)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_119)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1007) = -coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1217) = coupl(nGC_699)*dcw_QED2 + coupl(nGC_700)*dsw_QED2 +    &
                        coupl(nGC_701)*dZee_QED2
      coupl(nGC_1210) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1211) = coupl(nGC_860)*dZgs_QCD2
      coupl(nGC_1218) = coupl(nGC_647)*dcw_QED2 + coupl(nGC_648)*dsw_QED2 +    &
                        coupl(nGC_649)*dZee_QED2
      coupl(nGC_1361) = coupl(nGC_812)*dsw_QED2 + coupl(nGC_813)*dZee_QED2 +   &
                        coupl(nGC_814)*dMW2_QED2
      coupl(nGC_1746) = coupl(nGC_1243) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                        nGC_35)*dZWMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1745) = coupl(nGC_51)*dZtR_QCD2
      coupl(nGC_1743) = coupl(nGC_54)*dZtL_QCD2
      coupl(nGC_1740) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_1741) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_1625) = coupl(nGC_1232) + coupl(nGC_76)*dZHhHl_QED2 + coupl(   &
                        nGC_77)*dZHlHh_QED2/2d0 + coupl(nGC_79)*dZHh_QED2/2d0  &
                         + coupl(nGC_79)*dZHl_QED2 + coupl(nGC_TS_GC_21_Hl) +  &
                        coupl(nGC_TS_GC_25_Hh)
      coupl(nGC_1624) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1289)
      coupl(nGC_1749) = -coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_1488) = coupl(nGC_1222) + coupl(nGC_18)*dZHlHh_QED2 + coupl(   &
                        nGC_20)*dZHh_QED2
      coupl(nGC_1521) = coupl(nGC_1328) + coupl(nGC_98)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_99)*dZHl_QED2/2d0 + coupl(nGC_99)*dZeMinusL_QED2/ &
                        2d0 + coupl(nGC_99)*dZeMinusR_QED2/2d0
      coupl(nGC_1526) = coupl(nGC_1310) + coupl(nGC_93)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_94)*dZHl_QED2/2d0 + coupl(nGC_94)*dZdL_QED2/2d0 + &
                        coupl(nGC_94)*dZdR_QED2/2d0
      coupl(nGC_1527) = coupl(nGC_1311) + coupl(nGC_94)*dZdL_QCD2/2d0 + coupl( &
                        nGC_94)*dZdR_QCD2/2d0
      coupl(nGC_1524) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hh) + coupl(      &
                        nGC_TS_GC_79_Hl)
      coupl(nGC_1525) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_1481) = coupl(nGC_1217) - coupl(nGC_29)*dZZA_QED2 + coupl(     &
                        nGC_41)*dZA_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2 +   &
                        coupl(nGC_41)*dZZ_QED2/2d0 - coupl(nGC_5)*dZAZ_QED2
      coupl(nGC_1480) = -coupl(nGC_1217)/2d0 + coupl(nGC_29)*dZZA_QED2/2d0 -   &
                        coupl(nGC_41)*dZA_QED2/4d0 - coupl(nGC_41)*            &
                        dZWMinus_QED2/2d0 - coupl(nGC_41)*dZZ_QED2/4d0 + coupl(&
                        nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_1528) = coupl(nGC_1237) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1529) = coupl(nGC_65)*dZZA_QED2/2d0
      coupl(nGC_1484) = coupl(nGC_123)*dZHh_QED2/2d0 + coupl(nGC_123)*dZuL_QED2&
                        /2d0 + coupl(nGC_123)*dZuR_QED2/2d0 + coupl(nGC_124)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_1343)
      coupl(nGC_1487) = coupl(nGC_103)*dZHhHl_QED2/2d0 + coupl(nGC_104)*       &
                        dZHl_QED2/2d0 + coupl(nGC_104)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_104)*dZmuMinusR_QED2/2d0 + coupl(nGC_1329)
      coupl(nGC_1138) = -(coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) + coupl(nGC_33)*coupl( &
                        nGC_46)*coupl(nGC_85) + coupl(nGC_429)*coupl(nGC_51)*  &
                        coupl(nGC_87) - 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) + coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) +  &
                        coupl(nGC_87)**2d0*coupl(nGC_89) + coupl(nGC_88)**2d0* &
                        coupl(nGC_89) + coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1131) = -(coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_435) + coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_84) + coupl(nGC_111)**&
                        2d0*coupl(nGC_114) + coupl(nGC_111)*coupl(nGC_429)*    &
                        coupl(nGC_54) + coupl(nGC_111)*coupl(nGC_51)*coupl(    &
                        nGC_61) + coupl(nGC_113)**2d0*coupl(nGC_114) + coupl(  &
                        nGC_114)**3d0 - 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1130) = -coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1133) = (24d0*Nc*cMB*coupl(nGC_83)*coupl(nGC_84)**2d0 + 24d0*Nc&
                        *cMC*coupl(nGC_88)*coupl(nGC_89)**2d0 + 24d0*Nc*cMD*   &
                        coupl(nGC_93)*coupl(nGC_94)**2d0 + 24d0*Nc*cMS*coupl(  &
                        nGC_108)*coupl(nGC_109)**2d0 + 24d0*Nc*cMT*coupl(      &
                        nGC_113)*coupl(nGC_114)**2d0 + 24d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_124)**2d0 + 24d0*cME*coupl(nGC_98)* &
                        coupl(nGC_99)**2d0 + 24d0*cMM*coupl(nGC_103)*coupl(    &
                        nGC_104)**2d0 + 24d0*cMTA*coupl(nGC_118)*coupl(nGC_119 &
                        )**2d0 + 8d0*cima*coupl(nGC_30)*coupl(nGC_70) + 4d0*   &
                        cima*coupl(nGC_31)*coupl(nGC_69) + 4d0*cima*coupl(     &
                        nGC_66)*coupl(nGC_73) + 2d0*cima*coupl(nGC_67)*coupl(  &
                        nGC_72) - coupl(nGC_34)*coupl(nGC_437)*coupl(nGC_70) + &
                        coupl(nGC_34)*coupl(nGC_437)*coupl(nGC_74) - coupl(    &
                        nGC_35)*coupl(nGC_435)*coupl(nGC_70) + coupl(nGC_35)*  &
                        coupl(nGC_435)*coupl(nGC_74) - coupl(nGC_429)*coupl(   &
                        nGC_57)*coupl(nGC_73) + coupl(nGC_429)*coupl(nGC_57)*  &
                        coupl(nGC_74) - coupl(nGC_429)*coupl(nGC_61)*coupl(    &
                        nGC_72) + coupl(nGC_429)*coupl(nGC_61)*coupl(nGC_75) - &
                        coupl(nGC_435)*coupl(nGC_46)*coupl(nGC_69) + coupl(    &
                        nGC_435)*coupl(nGC_46)*coupl(nGC_75) - coupl(nGC_437)* &
                        coupl(nGC_47)*coupl(nGC_69) + coupl(nGC_437)*coupl(    &
                        nGC_47)*coupl(nGC_75) - coupl(nGC_451)*coupl(nGC_61)*  &
                        coupl(nGC_73) + coupl(nGC_451)*coupl(nGC_61)*coupl(    &
                        nGC_74) - coupl(nGC_453)*coupl(nGC_46)*coupl(nGC_70) + &
                        coupl(nGC_453)*coupl(nGC_46)*coupl(nGC_74) - coupl(    &
                        nGC_455)*coupl(nGC_47)*coupl(nGC_70) + coupl(nGC_455)* &
                        coupl(nGC_47)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_1132) = -(coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_46) + coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_84) + coupl(nGC_112)**&
                        2d0*coupl(nGC_114) + coupl(nGC_112)*coupl(nGC_429)*    &
                        coupl(nGC_51) + coupl(nGC_112)*coupl(nGC_54)*coupl(    &
                        nGC_61) + coupl(nGC_113)**2d0*coupl(nGC_114) + coupl(  &
                        nGC_114)**3d0 - 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1135) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_84) + 16d0*Nc*&
                        cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*&
                        cMB*coupl(nGC_82)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl&
                        (nGC_86)**2d0*coupl(nGC_89) + 16d0*Nc*cMC*coupl(nGC_86 &
                        )*coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_87&
                        )**2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*  &
                        coupl(nGC_94) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92 &
                        )*coupl(nGC_94) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl( &
                        nGC_94) + 4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_109 &
                        ) + 16d0*Nc*cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_109) + 4d0*Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_109&
                        ) + 4d0*Nc*cMT*coupl(nGC_111)**2d0*coupl(nGC_114) +    &
                        16d0*Nc*cMT*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_114&
                        ) + 4d0*Nc*cMT*coupl(nGC_112)**2d0*coupl(nGC_114) + 4d0&
                        *Nc*cMU*coupl(nGC_121)**2d0*coupl(nGC_124) + 16d0*Nc*  &
                        cMU*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_124) + 4d0*&
                        Nc*cMU*coupl(nGC_122)**2d0*coupl(nGC_124) + 4d0*cME*   &
                        coupl(nGC_96)**2d0*coupl(nGC_99) + 16d0*cME*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_99) + 4d0*cME*coupl(   &
                        nGC_97)**2d0*coupl(nGC_99) + 4d0*cMM*coupl(nGC_101)**  &
                        2d0*coupl(nGC_104) + 16d0*cMM*coupl(nGC_101)*coupl(    &
                        nGC_102)*coupl(nGC_104) + 4d0*cMM*coupl(nGC_102)**2d0* &
                        coupl(nGC_104) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl(   &
                        nGC_119) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*    &
                        coupl(nGC_119) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(   &
                        nGC_119) + 4d0*cima*coupl(nGC_26)*coupl(nGC_70) + 2d0* &
                        cima*coupl(nGC_64)*coupl(nGC_73) - 2d0*coupl(nGC_32)*  &
                        coupl(nGC_439)*coupl(nGC_70) + 2d0*coupl(nGC_32)*coupl(&
                        nGC_439)*coupl(nGC_74) + coupl(nGC_429)**2d0*coupl(    &
                        nGC_74) + coupl(nGC_429)*coupl(nGC_451)*coupl(nGC_75   &
                        ) + coupl(nGC_429)*coupl(nGC_57)*coupl(nGC_79) - coupl(&
                        nGC_429)*coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_429)* &
                        coupl(nGC_61)*coupl(nGC_77) - coupl(nGC_451)*coupl(    &
                        nGC_57)*coupl(nGC_73) + coupl(nGC_451)*coupl(nGC_57)*  &
                        coupl(nGC_76) + coupl(nGC_451)*coupl(nGC_61)*coupl(    &
                        nGC_79) + coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_75) +  &
                        coupl(nGC_61)**2d0*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_1134) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_103)*coupl(nGC_33) - 4d0*coupl(     &
                        nGC_115)*coupl(nGC_118)*coupl(nGC_33) - 6d0*coupl(nGC_3&
                        )*coupl(nGC_34)*coupl(nGC_4) + coupl(nGC_32)**2d0*coupl&
                        (nGC_455) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(     &
                        nGC_98) - 6d0*coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_55 &
                        ) - 6d0*coupl(nGC_427)*coupl(nGC_439)*coupl(nGC_57) +  &
                        coupl(nGC_435)**2d0*coupl(nGC_455) + coupl(nGC_439)*   &
                        coupl(nGC_449)*coupl(nGC_451) + coupl(nGC_453)**2d0*   &
                        coupl(nGC_455))/(96d0*pi**2d0)
      coupl(nGC_1137) = -(coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) + coupl(nGC_33)*coupl( &
                        nGC_435)*coupl(nGC_85) + coupl(nGC_429)*coupl(nGC_54)* &
                        coupl(nGC_86) - 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) + coupl(nGC_51)*coupl(nGC_61)*coupl(nGC_86) +  &
                        coupl(nGC_86)**2d0*coupl(nGC_89) + coupl(nGC_88)**2d0* &
                        coupl(nGC_89) + coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1136) = -coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1555) = -coupl(nGC_1215) - coupl(nGC_37)*dZWMinus_QED2/2d0
      coupl(nGC_1552) = coupl(nGC_1213) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                        nGC_3)*dZWMinus_QED2 + coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1551) = coupl(nGC_TS_GC_74_Hl) + coupl(nGC_TS_GC_75_Hh)
      coupl(nGC_1009) = -(coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_46) + coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) + coupl(nGC_122)**&
                        2d0*coupl(nGC_124) + coupl(nGC_122)*coupl(nGC_429)*    &
                        coupl(nGC_51) + coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_61) + coupl(nGC_123)**2d0*coupl(nGC_124) + coupl(  &
                        nGC_124)**3d0 - 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1008) = -(coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_435) + coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) + coupl(nGC_121)**&
                        2d0*coupl(nGC_124) + coupl(nGC_121)*coupl(nGC_429)*    &
                        coupl(nGC_54) + coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_61) + coupl(nGC_123)**2d0*coupl(nGC_124) + coupl(  &
                        nGC_124)**3d0 - 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1558) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_909) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_900) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_904) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_905) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1258) = coupl(nGC_791)*dcw_QED2 + coupl(nGC_792)*dZee_QED2
      coupl(nGC_1259) = coupl(nGC_799)*dcw_QED2 + coupl(nGC_800)*dZee_QED2 +   &
                        coupl(nGC_801)*da_QED2
      coupl(nGC_TS_GC_108_Hh) = -coupl(nGC_108)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1250) = coupl(nGC_662)*dsw_QED2 + coupl(nGC_663)*dZee_QED2 +   &
                        coupl(nGC_664)*da_QED2
      coupl(nGC_1251) = coupl(nGC_665)*dsw_QED2 + coupl(nGC_666)*dZee_QED2 +   &
                        coupl(nGC_667)*da_QED2
      coupl(nGC_1252) = coupl(nGC_844)*dsw_QED2 + coupl(nGC_845)*dZee_QED2 +   &
                        coupl(nGC_846)*dvev_QED1 + coupl(nGC_847)*da_QED2
      coupl(nGC_1253) = coupl(nGC_785)*dsw_QED2 + coupl(nGC_786)*dZee_QED2 +   &
                        coupl(nGC_787)*dvev_QED1 + coupl(nGC_788)*da_QED2
      coupl(nGC_1254) = coupl(nGC_756)*dcw_QED2 + coupl(nGC_757)*dsw_QED2 +    &
                        coupl(nGC_758)*dZee_QED2
      coupl(nGC_1255) = coupl(nGC_752)*dcw_QED2 + coupl(nGC_753)*dsw_QED2 +    &
                        coupl(nGC_754)*dZee_QED2 + coupl(nGC_755)*da_QED2
      coupl(nGC_1256) = coupl(nGC_768)*dcw_QED2 + coupl(nGC_769)*dsw_QED2 +    &
                        coupl(nGC_770)*dZee_QED2 + coupl(nGC_771)*da_QED2
      coupl(nGC_1257) = coupl(nGC_732)*dcw_QED2 + coupl(nGC_733)*dsw_QED2 +    &
                        coupl(nGC_734)*dZee_QED2
      coupl(nGC_1709) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_1702) = -coupl(nGC_1246) - coupl(nGC_34)*dZHh_QED2/2d0 - coupl(&
                        nGC_34)*dZWMinus_QED2/2d0 - coupl(nGC_47)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1700) = -coupl(nGC_1360) - coupl(nGC_36)*dZZ_QED2/2d0 - coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_1701) = -coupl(nGC_1215) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_1707) = coupl(nGC_1446) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_34_Hh) - coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_1704) = coupl(nGC_1445) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_69_Hh) + coupl(nGC_TS_GC_70_Hl)
      coupl(nGC_1123) = -(-8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) + coupl&
                        (nGC_1)*coupl(nGC_105)*coupl(nGC_421) + coupl(nGC_105)*&
                        coupl(nGC_2)*coupl(nGC_4) + coupl(nGC_105)*coupl(      &
                        nGC_449)*coupl(nGC_50) - 8d0*coupl(nGC_105)*coupl(     &
                        nGC_50)*coupl(nGC_54) + coupl(nGC_105)*coupl(nGC_54)*  &
                        coupl(nGC_55) + coupl(nGC_106)*coupl(nGC_32)*coupl(    &
                        nGC_33) + coupl(nGC_106)*coupl(nGC_85)*coupl(nGC_87) + &
                        coupl(nGC_108)*coupl(nGC_33)*coupl(nGC_455) + coupl(   &
                        nGC_108)*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_109)* &
                        coupl(nGC_33)*coupl(nGC_437) + coupl(nGC_109)*coupl(   &
                        nGC_85)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_1503) = -coupl(nGC_1247) - coupl(nGC_34)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_47)*dZHl_QED2/2d0 - coupl(nGC_47)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_999) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(    &
                       nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_997) = coupl(nGC_11)*sq2*(coupl(nGC_110)**2d0 + coupl(nGC_111)*&
                       coupl(nGC_112) + coupl(nGC_113)**2d0 + coupl(nGC_114)** &
                       2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0)/( &
                       64d0*pi**2d0)
      coupl(nGC_996) = coupl(nGC_11)*sq2*(coupl(nGC_111)*coupl(nGC_112) + coupl&
                       (nGC_113)**2d0 + coupl(nGC_114)**2d0 + 4d0*coupl(nGC_2  &
                       )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54)**2d0&
                        + coupl(nGC_80)**2d0)/(64d0*pi**2d0)
      coupl(nGC_995) = coupl(nGC_11)*sq2*(-coupl(nGC_110)**2d0 - coupl(nGC_111 &
                       )*coupl(nGC_112) - coupl(nGC_113)**2d0 - coupl(nGC_114  &
                       )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_994) = coupl(nGC_11)*sq2*(-coupl(nGC_111)*coupl(nGC_112) -     &
                       coupl(nGC_113)**2d0 - coupl(nGC_114)**2d0 - 4d0*coupl(  &
                       nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54 &
                       )**2d0 - coupl(nGC_80)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_993) = coupl(nGC_33)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(nGC_37&
                       )*coupl(nGC_55) - coupl(nGC_427)*coupl(nGC_56) + coupl( &
                       nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_990) = -(coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_35) + coupl(   &
                       nGC_110)*coupl(nGC_80)*coupl(nGC_83) + coupl(nGC_112)** &
                       2d0*coupl(nGC_113) + coupl(nGC_112)*coupl(nGC_451)*coupl&
                       (nGC_51) + coupl(nGC_112)*coupl(nGC_54)*coupl(nGC_57) + &
                       coupl(nGC_113)**3d0 + coupl(nGC_113)*coupl(nGC_114)**2d0&
                        - 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 - 8d0*coupl(    &
                       nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1676) = -coupl(nGC_1242) - coupl(nGC_32)*dZWMinus_QED2/2d0
      coupl(nGC_1672) = coupl(nGC_1224) + 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_23)*dZHl_QED2
      coupl(nGC_1673) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_1128) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_120)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_91)*coupl(nGC_92) + coupl(    &
                        nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1779) = coupl(nGC_1231) + 3d0*coupl(nGC_76)*dZHlHh_QED2/2d0 +  &
                        3d0*coupl(nGC_78)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_22_Hl&
                        ) + coupl(nGC_TS_GC_24_Hh)
      coupl(nGC_1773) = coupl(nGC_1437) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1212) = coupl(nGC_610)*dZgs_QCD2
      coupl(nGC_1452) = coupl(nGC_1358) + coupl(nGC_44)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_49)*dZHl_QED2/2d0
      coupl(nGC_1450) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1451) = -coupl(nGC_1213) - coupl(nGC_3)*dZWMinus_QED2/2d0
      coupl(nGC_1456) = -coupl(nGC_10)*dZg_QCD2/2d0 - coupl(nGC_1211)
      coupl(nGC_1454) = coupl(nGC_1248) + coupl(nGC_26)*dZWMinus_QED2
      coupl(nGC_1455) = coupl(nGC_1254) + coupl(nGC_58)*dZA_QED2/2d0 + coupl(  &
                        nGC_58)*dZZ_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/2d0 +    &
                        coupl(nGC_63)*dZZA_QED2/2d0
      coupl(nGC_1459) = coupl(nGC_1258) + coupl(nGC_39)*dZAZ_QED2/2d0 + coupl( &
                        nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_1519) = coupl(nGC_1257) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZZ_QED2/2d0 + coupl(nGC_55)*dZeMinusL_QED2
      coupl(nGC_TS_GC_28_Hh) = -coupl(nGC_28)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1513) = coupl(nGC_111)*dZtL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1340)
      coupl(nGC_1179) = (-64d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl(    &
                        nGC_50)**2d0 + 80d0*Nc*cima*coupl(nGC_108)*coupl(      &
                        nGC_109)*coupl(nGC_50)*coupl(nGC_53) - 64d0*Nc*cima*   &
                        coupl(nGC_108)*coupl(nGC_109)*coupl(nGC_53)**2d0 - 64d0&
                        *Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(nGC_51)** &
                        2d0 + 80d0*Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(&
                        nGC_51)*coupl(nGC_54) - 64d0*Nc*cima*coupl(nGC_113)*   &
                        coupl(nGC_114)*coupl(nGC_54)**2d0 - 64d0*Nc*cima*coupl(&
                        nGC_123)*coupl(nGC_124)*coupl(nGC_51)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_124)*coupl(nGC_51)*coupl(&
                        nGC_54) - 64d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124)*  &
                        coupl(nGC_54)**2d0 - 64d0*Nc*cima*coupl(nGC_50)**2d0*  &
                        coupl(nGC_83)*coupl(nGC_84) - 64d0*Nc*cima*coupl(nGC_50&
                        )**2d0*coupl(nGC_93)*coupl(nGC_94) + 80d0*Nc*cima*coupl&
                        (nGC_50)*coupl(nGC_53)*coupl(nGC_83)*coupl(nGC_84) +   &
                        80d0*Nc*cima*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_93)*&
                        coupl(nGC_94) - 64d0*Nc*cima*coupl(nGC_51)**2d0*coupl( &
                        nGC_88)*coupl(nGC_89) + 80d0*Nc*cima*coupl(nGC_51)*    &
                        coupl(nGC_54)*coupl(nGC_88)*coupl(nGC_89) - 64d0*Nc*   &
                        cima*coupl(nGC_53)**2d0*coupl(nGC_83)*coupl(nGC_84) -  &
                        64d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_93)*coupl(   &
                        nGC_94) - 64d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_88 &
                        )*coupl(nGC_89) - 64d0*cima*coupl(nGC_103)*coupl(      &
                        nGC_104)*coupl(nGC_52)**2d0 + 80d0*cima*coupl(nGC_103)*&
                        coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55) - 64d0*cima*&
                        coupl(nGC_103)*coupl(nGC_104)*coupl(nGC_55)**2d0 - 64d0&
                        *cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_52)**2d0 &
                         + 80d0*cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_52&
                        )*coupl(nGC_55) - 64d0*cima*coupl(nGC_118)*coupl(      &
                        nGC_119)*coupl(nGC_55)**2d0 + 24d0*cima*coupl(nGC_30)* &
                        coupl(nGC_419) + 9d0*cima*coupl(nGC_34)*coupl(nGC_427  &
                        )**2d0*coupl(nGC_437) + 4d0*cima*coupl(nGC_34)*coupl(  &
                        nGC_437)*coupl(nGC_449)**2d0 + 9d0*cima*coupl(nGC_35)* &
                        coupl(nGC_37)**2d0*coupl(nGC_435) + 4d0*cima*coupl(    &
                        nGC_35)*coupl(nGC_435)*coupl(nGC_55)**2d0 + 9d0*cima*  &
                        coupl(nGC_37)**2d0*coupl(nGC_453)*coupl(nGC_46) + 9d0* &
                        cima*coupl(nGC_427)**2d0*coupl(nGC_455)*coupl(nGC_47   &
                        ) + 4d0*cima*coupl(nGC_429)**2d0*coupl(nGC_57)*coupl(  &
                        nGC_61) + 4d0*cima*coupl(nGC_429)*coupl(nGC_451)*coupl(&
                        nGC_57)**2d0 + 4d0*cima*coupl(nGC_429)*coupl(nGC_451)* &
                        coupl(nGC_61)**2d0 + 4d0*cima*coupl(nGC_449)**2d0*coupl&
                        (nGC_455)*coupl(nGC_47) + 4d0*cima*coupl(nGC_451)**2d0*&
                        coupl(nGC_57)*coupl(nGC_61) + 4d0*cima*coupl(nGC_453)* &
                        coupl(nGC_46)*coupl(nGC_55)**2d0 - 64d0*cima*coupl(    &
                        nGC_52)**2d0*coupl(nGC_98)*coupl(nGC_99) + 80d0*cima*  &
                        coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98)*coupl(nGC_99 &
                        ) - 64d0*cima*coupl(nGC_55)**2d0*coupl(nGC_98)*coupl(  &
                        nGC_99) - 6d0*coupl(nGC_17)*coupl(nGC_34)*coupl(nGC_427&
                        ) - 6d0*coupl(nGC_17)*coupl(nGC_35)*coupl(nGC_37) - 6d0&
                        *coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_453) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_427)*coupl(nGC_455) + 36d0*coupl(   &
                        nGC_30)*coupl(nGC_37)**2d0 + 36d0*coupl(nGC_30)*coupl( &
                        nGC_427)**2d0 - 6d0*coupl(nGC_34)*coupl(nGC_419)*coupl(&
                        nGC_437) - 6d0*coupl(nGC_35)*coupl(nGC_419)*coupl(     &
                        nGC_435) - 6d0*coupl(nGC_37)*coupl(nGC_435)*coupl(nGC_9&
                        ) - 6d0*coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_9) - 6d0*&
                        coupl(nGC_427)*coupl(nGC_437)*coupl(nGC_9) - 6d0*coupl(&
                        nGC_427)*coupl(nGC_47)*coupl(nGC_9) + 6d0*coupl(nGC_451&
                        )*coupl(nGC_61)*coupl(nGC_64) + 6d0*coupl(nGC_453)*    &
                        coupl(nGC_46)*coupl(nGC_63) + 6d0*coupl(nGC_455)*coupl(&
                        nGC_47)*coupl(nGC_63))/(192d0*pi**2d0)
      coupl(nGC_TS_GC_123_Hh) = -coupl(nGC_123)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1515) = -coupl(nGC_1243) - coupl(nGC_35)*dZHh_QED2/2d0 - coupl(&
                        nGC_35)*dZWMinus_QED2/2d0 - coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1688) = coupl(nGC_1257) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZZ_QED2/2d0 + coupl(nGC_55)*dZtauMinusL_QED2
      coupl(nGC_1683) = coupl(nGC_1229) + coupl(nGC_21)*dZHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_21)*dZHl_QED2/2d0 + coupl(nGC_23)*dZHlHh_QED2&
                        /2d0 + 3d0*coupl(nGC_25)*dZHhHl_QED2/2d0
      coupl(nGC_1682) = coupl(nGC_117)*dZtauMinusL_QED2/2d0 + coupl(nGC_117)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1324)
      coupl(nGC_1681) = coupl(nGC_116)*dZtauMinusL_QED2/2d0 + coupl(nGC_116)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1323)
      coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1686) = coupl(nGC_113)*dZHhHl_QED2/2d0 + coupl(nGC_114)*       &
                        dZHl_QED2/2d0 + coupl(nGC_114)*dZtL_QED2/2d0 + coupl(  &
                        nGC_114)*dZtR_QED2/2d0 + coupl(nGC_1353)
      coupl(nGC_1685) = coupl(nGC_108)*dZsL_QCD2/2d0 + coupl(nGC_108)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1307)
      coupl(nGC_948) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_949) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51 &
                       )**3d0 + coupl(nGC_53)*coupl(nGC_85)**2d0 + coupl(nGC_54&
                       )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_54)*coupl(    &
                       nGC_88)**2d0 + coupl(nGC_54)*coupl(nGC_89)**2d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_944) = -coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(-Nc**2d0 +  &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_945) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_83) + coupl(nGC_110)*&
                       coupl(nGC_113)*coupl(nGC_80) + coupl(nGC_33)*coupl(     &
                       nGC_455)*coupl(nGC_80) + coupl(nGC_451)*coupl(nGC_53)*  &
                       coupl(nGC_82) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                       nGC_83) + coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_82) +   &
                       coupl(nGC_82)**2d0*coupl(nGC_83) + coupl(nGC_83)**3d0 + &
                       coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_946) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_83) + coupl(nGC_110)*&
                       coupl(nGC_113)*coupl(nGC_80) + coupl(nGC_33)*coupl(     &
                       nGC_34)*coupl(nGC_80) + coupl(nGC_451)*coupl(nGC_50)*   &
                       coupl(nGC_81) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                       nGC_83) + coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) +   &
                       coupl(nGC_81)**2d0*coupl(nGC_83) + coupl(nGC_83)**3d0 + &
                       coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_947) = (coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_2)** &
                       2d0*coupl(nGC_54) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_37 &
                       ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_53) + coupl(nGC_51 &
                       )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)*coupl(    &
                       nGC_88)**2d0 + coupl(nGC_51)*coupl(nGC_89)**2d0 + 4d0*  &
                       coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_940) = coupl(nGC_11)*sq2*(coupl(nGC_105)**2d0 + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54)**2d0&
                        + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_88)**2d0 +   &
                       coupl(nGC_89)**2d0)/(64d0*pi**2d0)
      coupl(nGC_941) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                       nGC_51)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl(&
                       nGC_87) + coupl(nGC_88)**2d0 + coupl(nGC_89)**2d0)/(64d0&
                       *pi**2d0)
      coupl(nGC_942) = -(coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_437) + coupl(  &
                       nGC_117)**2d0*coupl(nGC_119) + coupl(nGC_117)*coupl(    &
                       nGC_429)*coupl(nGC_55) + coupl(nGC_117)*coupl(nGC_52)*  &
                       coupl(nGC_61) + coupl(nGC_118)**2d0*coupl(nGC_119) +    &
                       coupl(nGC_119)**3d0 - 8d0*coupl(nGC_119)*coupl(nGC_4)** &
                       2d0 - 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/( &
                       32d0*pi**2d0)
      coupl(nGC_943) = -(coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_47) + coupl(   &
                       nGC_116)**2d0*coupl(nGC_119) + coupl(nGC_116)*coupl(    &
                       nGC_429)*coupl(nGC_52) + coupl(nGC_116)*coupl(nGC_55)*  &
                       coupl(nGC_61) + coupl(nGC_118)**2d0*coupl(nGC_119) +    &
                       coupl(nGC_119)**3d0 - 8d0*coupl(nGC_119)*coupl(nGC_4)** &
                       2d0 - 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/( &
                       32d0*pi**2d0)
      coupl(nGC_1354) = coupl(nGC_281)*dyt_QED1_QCD2
      coupl(nGC_1327) = coupl(nGC_263)*dytau_QED3 + coupl(nGC_265)*da_QED2
      coupl(nGC_1298) = coupl(nGC_702)*dys_QED3
      coupl(nGC_1299) = coupl(nGC_702)*dys_QED1_QCD2
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1295) = coupl(nGC_856)*dydo_QED1_QCD2
      coupl(nGC_1296) = coupl(nGC_703)*dys_QED3
      coupl(nGC_1297) = coupl(nGC_703)*dys_QED1_QCD2
      coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1292) = coupl(nGC_851)*dydo_QED3
      coupl(nGC_1293) = coupl(nGC_851)*dydo_QED1_QCD2
      coupl(nGC_1058) = -(coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_34) + coupl(  &
                        nGC_116)**2d0*coupl(nGC_118) + coupl(nGC_116)*coupl(   &
                        nGC_451)*coupl(nGC_52) + coupl(nGC_116)*coupl(nGC_55)* &
                        coupl(nGC_57) + coupl(nGC_118)**3d0 + coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 - 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1059) = (coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1056) = (4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_50) -  &
                        4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_53) -   &
                        4d0*Nc*coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_50) +   &
                        4d0*Nc*coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_53) -   &
                        4d0*Nc*coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_51) +   &
                        4d0*Nc*coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_51) -   &
                        4d0*Nc*coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_54) -   &
                        4d0*Nc*coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_51) +   &
                        4d0*Nc*coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_51) -   &
                        4d0*Nc*coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_84) - 4d0*&
                        Nc*coupl(nGC_50)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc* &
                        coupl(nGC_50)*coupl(nGC_91)*coupl(nGC_94) - 4d0*Nc*    &
                        coupl(nGC_50)*coupl(nGC_92)*coupl(nGC_94) - 4d0*Nc*    &
                        coupl(nGC_51)*coupl(nGC_86)*coupl(nGC_89) + 4d0*Nc*    &
                        coupl(nGC_51)*coupl(nGC_87)*coupl(nGC_89) - 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_84) + 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_82)*coupl(nGC_84) - 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_94) + 4d0*Nc*    &
                        coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_94) + 4d0*Nc*    &
                        coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_89) - 4d0*Nc*    &
                        coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_89) + 4d0*coupl( &
                        nGC_101)*coupl(nGC_104)*coupl(nGC_52) - 4d0*coupl(     &
                        nGC_101)*coupl(nGC_104)*coupl(nGC_55) - 4d0*coupl(     &
                        nGC_102)*coupl(nGC_104)*coupl(nGC_52) + 4d0*coupl(     &
                        nGC_102)*coupl(nGC_104)*coupl(nGC_55) + 4d0*coupl(     &
                        nGC_116)*coupl(nGC_119)*coupl(nGC_52) - 4d0*coupl(     &
                        nGC_116)*coupl(nGC_119)*coupl(nGC_55) - 4d0*coupl(     &
                        nGC_117)*coupl(nGC_119)*coupl(nGC_52) + 4d0*coupl(     &
                        nGC_117)*coupl(nGC_119)*coupl(nGC_55) + coupl(nGC_32)* &
                        coupl(nGC_449)*coupl(nGC_47) + coupl(nGC_32)*coupl(    &
                        nGC_46)*coupl(nGC_55) - 6d0*coupl(nGC_37)*coupl(nGC_435&
                        )*coupl(nGC_439) - 6d0*coupl(nGC_427)*coupl(nGC_437)*  &
                        coupl(nGC_439) + 4d0*coupl(nGC_52)*coupl(nGC_96)*coupl(&
                        nGC_99) - 4d0*coupl(nGC_52)*coupl(nGC_97)*coupl(nGC_99 &
                        ) - 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_99) + 4d0&
                        *coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_99) + coupl(    &
                        nGC_57)**2d0*coupl(nGC_61) + coupl(nGC_61)**3d0)/(96d0*&
                        pi**2d0)
      coupl(nGC_1057) = -(coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_455) + coupl( &
                        nGC_117)**2d0*coupl(nGC_118) + coupl(nGC_117)*coupl(   &
                        nGC_451)*coupl(nGC_55) + coupl(nGC_117)*coupl(nGC_52)* &
                        coupl(nGC_57) + coupl(nGC_118)**3d0 + coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 - 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1054) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_84) - cMC* &
                        coupl(nGC_89) - cMD*coupl(nGC_94) - cMS*coupl(nGC_109  &
                        ) - cMT*coupl(nGC_114) - cMU*coupl(nGC_124))/(16d0*pi**&
                        2d0)
      coupl(nGC_1055) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_84) + cMC*  &
                        coupl(nGC_89) + cMD*coupl(nGC_94) + cMS*coupl(nGC_109  &
                        ) + cMT*coupl(nGC_114) + cMU*coupl(nGC_124))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1052) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*    &
                        coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl&
                        (nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 +  &
                        4d0*coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*&
                        coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1053) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*    &
                        coupl(nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl&
                        (nGC_2) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(&
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1050) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_82) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_92) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_102)*coupl(nGC_33) - 4d0*coupl(     &
                        nGC_115)*coupl(nGC_117)*coupl(nGC_33) - 6d0*coupl(nGC_3&
                        )*coupl(nGC_32)*coupl(nGC_4) - 6d0*coupl(nGC_32)*coupl(&
                        nGC_37)*coupl(nGC_55) - 4d0*coupl(nGC_33)*coupl(nGC_95 &
                        )*coupl(nGC_97) + coupl(nGC_35)**2d0*coupl(nGC_439) -  &
                        6d0*coupl(nGC_427)*coupl(nGC_437)*coupl(nGC_61) - 6d0* &
                        coupl(nGC_427)*coupl(nGC_455)*coupl(nGC_57) + coupl(   &
                        nGC_429)*coupl(nGC_437)*coupl(nGC_449) + coupl(nGC_439 &
                        )**3d0 + coupl(nGC_439)*coupl(nGC_46)**2d0 + coupl(    &
                        nGC_449)*coupl(nGC_451)*coupl(nGC_455))/(96d0*pi**2d0)
      coupl(nGC_1051) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_110)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_120)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0&
                         + 4d0*Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_105 &
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_110)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_2)*coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_2&
                        )*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_90&
                        )**2d0 + 4d0*coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*   &
                        coupl(nGC_115)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_3)*   &
                        coupl(nGC_32)*coupl(nGC_439) - 6d0*coupl(nGC_3)*coupl( &
                        nGC_34)*coupl(nGC_455) - 6d0*coupl(nGC_3)*coupl(nGC_437&
                        )*coupl(nGC_47) + coupl(nGC_4)*coupl(nGC_421)**2d0 +   &
                        coupl(nGC_4)*coupl(nGC_449)**2d0 + 4d0*coupl(nGC_4)*   &
                        coupl(nGC_95)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1628) = coupl(nGC_1247) + coupl(nGC_34)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_47)*dZHl_QED2/2d0 + coupl(nGC_47)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_898) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMB** &
                       2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                       (nGC_51)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_54)**2d0 &
                        + 2d0*Nc*cMD**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMD &
                       **2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                       coupl(nGC_50)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_53  &
                       )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_51)**2d0 + 2d0* &
                       Nc*cMT**2d0*cima*coupl(nGC_54)**2d0 + 2d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_51)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                       nGC_54)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_52)**2d0 +   &
                       2d0*cME**2d0*cima*coupl(nGC_55)**2d0 + 2d0*cMM**2d0*cima&
                       *coupl(nGC_52)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_55)** &
                       2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_52)**2d0 + 2d0*cMTA**&
                       2d0*cima*coupl(nGC_55)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                       nGC_37)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_427)**2d0 -  &
                       2d0*cMW**2d0*coupl(nGC_419))/(16d0*pi**2d0)
      coupl(nGC_899) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_1225) = coupl(nGC_618)*da_QED2 + coupl(nGC_619)*dl1_QED4 +     &
                        coupl(nGC_620)*dl3_QED4
      coupl(nGC_892) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_893) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11&
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_890) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11 &
                       )**2d0)/(64d0*pi**2d0)
      coupl(nGC_891) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_896) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51  &
                       )**2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(nGC_54&
                       )**2d0 - coupl(nGC_37)**2d0 - coupl(nGC_427)**2d0 - 2d0*&
                       coupl(nGC_52)**2d0 - 2d0*coupl(nGC_55)**2d0 - 2d0*coupl(&
                       nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_897) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_427)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_894) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_895) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_TS_GC_113_Hh) = -coupl(nGC_113)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1733) = coupl(nGC_1364) + coupl(nGC_60)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_62)*dZHl_QED2/2d0
      coupl(nGC_1732) = coupl(nGC_1246) + coupl(nGC_34)*dZHh_QED2/2d0 + coupl( &
                        nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_47)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1731) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_1730) = coupl(nGC_MI)*dZdL_QED2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
